CREATE DATABASE  IF NOT EXISTS `common_share_dbazzar_test` /*!40100 DEFAULT CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci */;
USE `common_share_dbazzar_test`;
-- MySQL dump 10.13  Distrib 8.0.27, for Win64 (x86_64)
--
-- Host:    Database: common_share_dbazzar_test
-- ------------------------------------------------------
-- Server version	8.0.15

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `t_sys_acl_group`
--

DROP TABLE IF EXISTS `t_sys_acl_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_acl_group` (
  `group_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ag_id` varchar(11) NOT NULL DEFAULT '',
  `ad_id` varchar(11) NOT NULL DEFAULT '',
  `group_default` smallint(5) unsigned NOT NULL DEFAULT '0',
  `group_super_role` smallint(5) unsigned NOT NULL DEFAULT '0',
  `group_sys_alert` smallint(5) unsigned NOT NULL DEFAULT '0',
  `group_adm_user` smallint(5) unsigned NOT NULL DEFAULT '0',
  `group_sys_holiday` smallint(5) unsigned NOT NULL DEFAULT '0',
  `group_ppl_info` smallint(5) unsigned NOT NULL DEFAULT '0',
  `group_adm_agency` smallint(5) unsigned NOT NULL DEFAULT '0',
  `group_adm_agency_dept` smallint(5) unsigned NOT NULL DEFAULT '0',
  `group_adm_agency_sec` smallint(5) unsigned NOT NULL DEFAULT '0',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_acl_group`
--

LOCK TABLES `t_sys_acl_group` WRITE;
/*!40000 ALTER TABLE `t_sys_acl_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_acl_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_acl_group_lbl`
--

DROP TABLE IF EXISTS `t_sys_acl_group_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_acl_group_lbl` (
  `kwd_code` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`kwd_code`,`kwd_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_acl_group_lbl`
--

LOCK TABLES `t_sys_acl_group_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_acl_group_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_acl_group_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_acl_user_group`
--

DROP TABLE IF EXISTS `t_sys_acl_user_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_acl_user_group` (
  `usr_id` varchar(50) NOT NULL DEFAULT '',
  `ag_id` varchar(11) NOT NULL DEFAULT '',
  `ad_id` varchar(11) NOT NULL DEFAULT '',
  `group_id` int(10) unsigned DEFAULT NULL,
  `user_super_role` smallint(5) unsigned NOT NULL DEFAULT '0',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`usr_id`,`ag_id`,`ad_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_acl_user_group`
--

LOCK TABLES `t_sys_acl_user_group` WRITE;
/*!40000 ALTER TABLE `t_sys_acl_user_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_acl_user_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_agency`
--

DROP TABLE IF EXISTS `t_sys_agency`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_agency` (
  `ag_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ag_code` varchar(45) DEFAULT NULL,
  `imp_dept_id` varchar(50) DEFAULT NULL,
  `ag_cat_id` varchar(10) DEFAULT NULL COMMENT '1-private, 2-state, 3-federal',
  `ag_state_cat_id` int(10) unsigned DEFAULT NULL COMMENT 'Agency State Category',
  `ag_from` varchar(10) NOT NULL DEFAULT 'imp',
  `ag_mobile` varchar(45) DEFAULT NULL,
  `ag_phone` varchar(45) DEFAULT NULL,
  `ag_fax` varchar(45) DEFAULT NULL,
  `ag_email` varchar(45) DEFAULT NULL,
  `ag_website` varchar(50) DEFAULT NULL,
  `ag_add_ctr_id` int(10) unsigned DEFAULT NULL,
  `ag_add_sta_id` int(10) unsigned DEFAULT NULL,
  `ag_add_div_id` int(10) unsigned DEFAULT NULL,
  `ag_add_dis_id` int(10) unsigned DEFAULT NULL,
  `ag_add_address` varchar(300) DEFAULT NULL,
  `ag_contact_person_name` varchar(100) DEFAULT NULL,
  `ag_contact_person_hp` varchar(45) DEFAULT NULL,
  `ag_contact_person_email` varchar(45) DEFAULT NULL,
  `ag_recipient` varchar(100) DEFAULT NULL,
  `ag_attention` varchar(100) DEFAULT NULL,
  `ad_hq_id` int(10) unsigned DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`ag_id`),
  KEY `Index_2` (`ag_from`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_agency`
--

LOCK TABLES `t_sys_agency` WRITE;
/*!40000 ALTER TABLE `t_sys_agency` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_agency` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_agency_dept`
--

DROP TABLE IF EXISTS `t_sys_agency_dept`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_agency_dept` (
  `ad_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ag_id` int(10) unsigned NOT NULL DEFAULT '0',
  `link_table_from` varchar(15) NOT NULL DEFAULT '',
  `link_id` varchar(15) NOT NULL DEFAULT '',
  `ad_code` varchar(45) DEFAULT NULL,
  `ad_mobile` varchar(45) DEFAULT NULL,
  `ad_phone` varchar(45) DEFAULT NULL,
  `ad_fax` varchar(45) DEFAULT NULL,
  `ad_email` varchar(45) DEFAULT NULL,
  `ad_add_ctr_id` int(10) unsigned DEFAULT NULL,
  `ad_add_sta_id` int(10) unsigned DEFAULT NULL,
  `ad_add_div_id` int(10) unsigned DEFAULT NULL,
  `ad_add_dis_id` int(10) unsigned DEFAULT NULL,
  `ad_add_address` varchar(300) DEFAULT NULL,
  `ad_contact_person_name` varchar(100) DEFAULT NULL,
  `ad_contact_person_hp` varchar(45) DEFAULT NULL,
  `ad_contact_person_email` varchar(45) DEFAULT NULL,
  `ad_recipient` varchar(100) DEFAULT NULL,
  `ad_attention` varchar(100) DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`ad_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_agency_dept`
--

LOCK TABLES `t_sys_agency_dept` WRITE;
/*!40000 ALTER TABLE `t_sys_agency_dept` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_agency_dept` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_agency_dept_lbl`
--

DROP TABLE IF EXISTS `t_sys_agency_dept_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_agency_dept_lbl` (
  `kwd_code_ag_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_ad_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `kwd_short_name` varchar(45) DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`kwd_code_ag_id`,`kwd_code_ad_id`,`kwd_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_agency_dept_lbl`
--

LOCK TABLES `t_sys_agency_dept_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_agency_dept_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_agency_dept_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_agency_lbl`
--

DROP TABLE IF EXISTS `t_sys_agency_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_agency_lbl` (
  `kwd_code` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `kwd_short_name` varchar(100) NOT NULL DEFAULT '',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`kwd_code`,`kwd_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_agency_lbl`
--

LOCK TABLES `t_sys_agency_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_agency_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_agency_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_agency_sec`
--

DROP TABLE IF EXISTS `t_sys_agency_sec`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_agency_sec` (
  `sec_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ad_id` varchar(11) NOT NULL DEFAULT '',
  `ag_id` int(10) unsigned NOT NULL DEFAULT '0',
  `external_id` varchar(100) DEFAULT NULL,
  `external_source` varchar(100) DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`sec_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_agency_sec`
--

LOCK TABLES `t_sys_agency_sec` WRITE;
/*!40000 ALTER TABLE `t_sys_agency_sec` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_agency_sec` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_agency_sec_lbl`
--

DROP TABLE IF EXISTS `t_sys_agency_sec_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_agency_sec_lbl` (
  `kwd_code_sec_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_ag_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_ad_id` varchar(11) NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `kwd_short_name` varchar(45) DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`kwd_code_sec_id`,`kwd_code_ag_id`,`kwd_code_ad_id`,`kwd_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_agency_sec_lbl`
--

LOCK TABLES `t_sys_agency_sec_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_agency_sec_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_agency_sec_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_agency_state_cat`
--

DROP TABLE IF EXISTS `t_sys_agency_state_cat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_agency_state_cat` (
  `cat_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `state` varchar(45) NOT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`cat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_agency_state_cat`
--

LOCK TABLES `t_sys_agency_state_cat` WRITE;
/*!40000 ALTER TABLE `t_sys_agency_state_cat` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_agency_state_cat` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_agency_state_cat_lbl`
--

DROP TABLE IF EXISTS `t_sys_agency_state_cat_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_agency_state_cat_lbl` (
  `kwd_code` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`kwd_code`,`kwd_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_agency_state_cat_lbl`
--

LOCK TABLES `t_sys_agency_state_cat_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_agency_state_cat_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_agency_state_cat_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_agency_unit`
--

DROP TABLE IF EXISTS `t_sys_agency_unit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_agency_unit` (
  `unit_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ag_id` varchar(10) NOT NULL DEFAULT '',
  `imp_branch_id` varchar(50) DEFAULT NULL,
  `unit_mobile` varchar(45) DEFAULT NULL,
  `unit_phone` varchar(45) DEFAULT NULL,
  `unit_fax` varchar(45) DEFAULT NULL,
  `unit_email` varchar(45) DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`unit_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_agency_unit`
--

LOCK TABLES `t_sys_agency_unit` WRITE;
/*!40000 ALTER TABLE `t_sys_agency_unit` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_agency_unit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_agency_unit_lbl`
--

DROP TABLE IF EXISTS `t_sys_agency_unit_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_agency_unit_lbl` (
  `kwd_code_unit_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_ag_id` varchar(10) NOT NULL DEFAULT '',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `kwd_short_name` varchar(100) NOT NULL DEFAULT '',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`kwd_code_unit_id`,`kwd_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_agency_unit_lbl`
--

LOCK TABLES `t_sys_agency_unit_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_agency_unit_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_agency_unit_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_cronjob_hit`
--

DROP TABLE IF EXISTS `t_sys_cronjob_hit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_cronjob_hit` (
  `cronjob_id` int(11) NOT NULL AUTO_INCREMENT,
  `cronjob_name` varchar(150) DEFAULT NULL,
  `cronjob_hit_date` datetime DEFAULT NULL,
  `cronjob_start_on` datetime DEFAULT NULL,
  `cronjob_end_on` datetime DEFAULT NULL,
  `cronjob_status` varchar(50) DEFAULT 'IN_PROGRESS',
  `cronjob_hit_page` varchar(255) DEFAULT NULL,
  `cronjob_hit_page_link` varchar(500) DEFAULT NULL,
  `cronjob_hit_os` varchar(50) DEFAULT NULL,
  `cronjob_hit_browser` varchar(50) DEFAULT NULL,
  `cronjob_hit_ip` varchar(50) DEFAULT NULL,
  `cronjob_hit_host` varchar(255) DEFAULT NULL,
  `cronjob_hit_referer` varchar(500) DEFAULT NULL,
  `_rec_status` varchar(20) DEFAULT 'SHOW',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`cronjob_id`)
) ENGINE=InnoDB AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_cronjob_hit`
--

LOCK TABLES `t_sys_cronjob_hit` WRITE;
/*!40000 ALTER TABLE `t_sys_cronjob_hit` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_cronjob_hit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_email_att`
--

DROP TABLE IF EXISTS `t_sys_email_att`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_email_att` (
  `ett_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ett_par_id` int(10) unsigned NOT NULL,
  `ett_type` varchar(50) NOT NULL DEFAULT '',
  `ett_name` varchar(100) NOT NULL DEFAULT '',
  `ett_content` mediumblob NOT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`ett_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_email_att`
--

LOCK TABLES `t_sys_email_att` WRITE;
/*!40000 ALTER TABLE `t_sys_email_att` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_email_att` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_email_send`
--

DROP TABLE IF EXISTS `t_sys_email_send`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_email_send` (
  `es_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `es_sender` text,
  `es_to` text,
  `es_cc` text,
  `es_bcc` text,
  `es_ishtml` char(5) DEFAULT NULL,
  `es_subject` text,
  `es_message` longtext,
  `es_status` varchar(45) DEFAULT 'pending',
  `es_log` text,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`es_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_email_send`
--

LOCK TABLES `t_sys_email_send` WRITE;
/*!40000 ALTER TABLE `t_sys_email_send` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_email_send` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_holiday`
--

DROP TABLE IF EXISTS `t_sys_holiday`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_holiday` (
  `hol_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `hol_key` varchar(45) NOT NULL DEFAULT '',
  `hol_date` varchar(10) NOT NULL DEFAULT '',
  `hol_description` text NOT NULL,
  `_rec_created_by` varchar(60) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(60) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(60) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`hol_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_holiday`
--

LOCK TABLES `t_sys_holiday` WRITE;
/*!40000 ALTER TABLE `t_sys_holiday` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_holiday` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_holiday_lbl`
--

DROP TABLE IF EXISTS `t_sys_holiday_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_holiday_lbl` (
  `kwd_code` varchar(45) NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`kwd_code`,`kwd_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_holiday_lbl`
--

LOCK TABLES `t_sys_holiday_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_holiday_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_holiday_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_imp_sync_log`
--

DROP TABLE IF EXISTS `t_sys_imp_sync_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_imp_sync_log` (
  `sync_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `tbl_imp_name` varchar(45) DEFAULT NULL,
  `next_sync_date` date DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`sync_id`),
  UNIQUE KEY `unique` (`tbl_imp_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_imp_sync_log`
--

LOCK TABLES `t_sys_imp_sync_log` WRITE;
/*!40000 ALTER TABLE `t_sys_imp_sync_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_imp_sync_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_leave_site`
--

DROP TABLE IF EXISTS `t_sys_leave_site`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_leave_site` (
  `leave_site_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `leave_site_loc` varchar(45) NOT NULL DEFAULT '',
  `leave_site_active` varchar(2) NOT NULL DEFAULT '1',
  `leave_site_desc` varchar(255) DEFAULT NULL,
  `leave_site_url` text NOT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`leave_site_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_leave_site`
--

LOCK TABLES `t_sys_leave_site` WRITE;
/*!40000 ALTER TABLE `t_sys_leave_site` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_leave_site` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_leave_trans`
--

DROP TABLE IF EXISTS `t_sys_leave_trans`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_leave_trans` (
  `leave_site_id` varchar(11) NOT NULL DEFAULT '',
  `leave_trans_id` varchar(45) NOT NULL DEFAULT '',
  `leave_type_id` varchar(11) NOT NULL DEFAULT '' COMMENT 'LEAVE TYPE',
  `usr_short_name` varchar(45) NOT NULL,
  `usr_email` varchar(45) NOT NULL DEFAULT '',
  `usr_new_ic_no` varchar(15) NOT NULL DEFAULT '',
  `trans_date_start` date DEFAULT NULL,
  `trans_date_end` date DEFAULT NULL,
  `trans_session_start` varchar(2) NOT NULL DEFAULT '',
  `trans_session_end` varchar(2) NOT NULL DEFAULT '',
  `trans_datetime_apply` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`leave_site_id`,`leave_trans_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_leave_trans`
--

LOCK TABLES `t_sys_leave_trans` WRITE;
/*!40000 ALTER TABLE `t_sys_leave_trans` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_leave_trans` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_leave_type`
--

DROP TABLE IF EXISTS `t_sys_leave_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_leave_type` (
  `leave_type_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `leave_site_id` varchar(11) NOT NULL DEFAULT '',
  `leave_type` varchar(1000) NOT NULL,
  `leave_behavior` varchar(1) NOT NULL DEFAULT '-' COMMENT '+/-',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`leave_type_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_leave_type`
--

LOCK TABLES `t_sys_leave_type` WRITE;
/*!40000 ALTER TABLE `t_sys_leave_type` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_leave_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_leave_type_lbl`
--

DROP TABLE IF EXISTS `t_sys_leave_type_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_leave_type_lbl` (
  `kwd_code` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`kwd_code`,`kwd_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_leave_type_lbl`
--

LOCK TABLES `t_sys_leave_type_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_leave_type_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_leave_type_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_leave_user`
--

DROP TABLE IF EXISTS `t_sys_leave_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_leave_user` (
  `usr_id` varchar(50) NOT NULL DEFAULT '',
  `leave_site_id` varchar(11) NOT NULL,
  `status` text NOT NULL,
  `unavailable` varchar(1) NOT NULL DEFAULT '0',
  `date` date DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`usr_id`,`leave_site_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_leave_user`
--

LOCK TABLES `t_sys_leave_user` WRITE;
/*!40000 ALTER TABLE `t_sys_leave_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_leave_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_loc_country`
--

DROP TABLE IF EXISTS `t_sys_loc_country`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_loc_country` (
  `ctr_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ctr_code_text` varchar(10) NOT NULL DEFAULT '',
  `ctr_default` varchar(45) NOT NULL DEFAULT '0' COMMENT '1: default',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  PRIMARY KEY (`ctr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_loc_country`
--

LOCK TABLES `t_sys_loc_country` WRITE;
/*!40000 ALTER TABLE `t_sys_loc_country` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_loc_country` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_loc_country_lbl`
--

DROP TABLE IF EXISTS `t_sys_loc_country_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_loc_country_lbl` (
  `kwd_code` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  PRIMARY KEY (`kwd_code`,`kwd_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_loc_country_lbl`
--

LOCK TABLES `t_sys_loc_country_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_loc_country_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_loc_country_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_loc_district`
--

DROP TABLE IF EXISTS `t_sys_loc_district`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_loc_district` (
  `ctr_id` int(10) unsigned NOT NULL DEFAULT '0',
  `sta_id` int(10) unsigned NOT NULL DEFAULT '0',
  `div_id` int(11) unsigned NOT NULL DEFAULT '0',
  `dis_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `dis_code_text` varchar(10) DEFAULT NULL,
  `dis_code_num` int(10) unsigned DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  PRIMARY KEY (`dis_id`),
  KEY `FK_div_id` (`div_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_loc_district`
--

LOCK TABLES `t_sys_loc_district` WRITE;
/*!40000 ALTER TABLE `t_sys_loc_district` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_loc_district` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_loc_district_lbl`
--

DROP TABLE IF EXISTS `t_sys_loc_district_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_loc_district_lbl` (
  `kwd_code_ctr_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_sta_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_div_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_dis_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  PRIMARY KEY (`kwd_code_ctr_id`,`kwd_code_sta_id`,`kwd_code_div_id`,`kwd_code_dis_id`,`kwd_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_loc_district_lbl`
--

LOCK TABLES `t_sys_loc_district_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_loc_district_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_loc_district_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_loc_division`
--

DROP TABLE IF EXISTS `t_sys_loc_division`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_loc_division` (
  `ctr_id` int(10) unsigned NOT NULL DEFAULT '0',
  `sta_id` int(10) unsigned NOT NULL DEFAULT '0',
  `div_id` int(11) NOT NULL AUTO_INCREMENT,
  `imp_division_id` varchar(45) DEFAULT NULL,
  `mampu_division_id` varchar(20) DEFAULT NULL COMMENT 'MAMPU Dvision ID',
  `div_code_text` varchar(10) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`div_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='InnoDB free: 35840 kB; (`sta_id`) REFER `apps_framework/t_hc';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_loc_division`
--

LOCK TABLES `t_sys_loc_division` WRITE;
/*!40000 ALTER TABLE `t_sys_loc_division` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_loc_division` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_loc_division_lbl`
--

DROP TABLE IF EXISTS `t_sys_loc_division_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_loc_division_lbl` (
  `kwd_code_ctr_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_sta_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_div_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`kwd_code_ctr_id`,`kwd_lang`,`kwd_code_sta_id`,`kwd_code_div_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_loc_division_lbl`
--

LOCK TABLES `t_sys_loc_division_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_loc_division_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_loc_division_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_loc_state`
--

DROP TABLE IF EXISTS `t_sys_loc_state`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_loc_state` (
  `ctr_id` int(10) unsigned NOT NULL DEFAULT '0',
  `sta_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sta_code_text` varchar(10) DEFAULT NULL,
  `sta_default` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '1:default',
  `mampu_sta_id` varchar(20) DEFAULT NULL COMMENT 'MAMPU State ID',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  PRIMARY KEY (`sta_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='InnoDB free: 49152 kB';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_loc_state`
--

LOCK TABLES `t_sys_loc_state` WRITE;
/*!40000 ALTER TABLE `t_sys_loc_state` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_loc_state` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_loc_state_lbl`
--

DROP TABLE IF EXISTS `t_sys_loc_state_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_loc_state_lbl` (
  `kwd_code_ctr_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_sta_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  PRIMARY KEY (`kwd_code_sta_id`,`kwd_lang`,`kwd_code_ctr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_loc_state_lbl`
--

LOCK TABLES `t_sys_loc_state_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_loc_state_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_loc_state_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_loc_station`
--

DROP TABLE IF EXISTS `t_sys_loc_station`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_loc_station` (
  `ctr_id` int(10) unsigned NOT NULL DEFAULT '0',
  `sta_id` int(10) unsigned NOT NULL DEFAULT '0',
  `div_id` int(10) unsigned NOT NULL DEFAULT '0',
  `station_id` int(11) NOT NULL AUTO_INCREMENT,
  `imp_station_id` varchar(45) DEFAULT NULL,
  `station_code_text` varchar(10) DEFAULT NULL,
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`station_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='InnoDB free: 35840 kB; (`sta_id`) REFER `apps_framework/t_hc';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_loc_station`
--

LOCK TABLES `t_sys_loc_station` WRITE;
/*!40000 ALTER TABLE `t_sys_loc_station` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_loc_station` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_loc_station_lbl`
--

DROP TABLE IF EXISTS `t_sys_loc_station_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_loc_station_lbl` (
  `kwd_code_ctr_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_sta_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_div_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_code_station_id` int(10) unsigned NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`kwd_lang`,`kwd_code_ctr_id`,`kwd_code_sta_id`,`kwd_code_div_id`,`kwd_code_station_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_loc_station_lbl`
--

LOCK TABLES `t_sys_loc_station_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_loc_station_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_loc_station_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_log`
--

DROP TABLE IF EXISTS `t_sys_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_log` (
  `log_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ag_id` varchar(11) DEFAULT NULL,
  `ad_id` varchar(11) DEFAULT NULL,
  `usr_id` varchar(50) DEFAULT NULL,
  `usr_full_name` varchar(100) DEFAULT NULL,
  `log_ip` varchar(30) DEFAULT NULL,
  `log_module` varchar(50) DEFAULT NULL,
  `log_item` varchar(255) DEFAULT NULL,
  `log_item_old` varchar(255) DEFAULT NULL,
  `log_event` varchar(30) DEFAULT NULL COMMENT 'INSERT, UPDATE, DELETE',
  `log_action` varchar(255) DEFAULT NULL COMMENT 'UPDATE_IC, UPDATE_COUNTRY, etc',
  `log_id_1` varchar(45) DEFAULT NULL,
  `log_id_1_key` varchar(255) DEFAULT NULL,
  `log_id_2` varchar(45) DEFAULT NULL,
  `log_id_2_key` varchar(255) DEFAULT NULL,
  `log_id_3` varchar(45) DEFAULT NULL,
  `log_id_3_key` varchar(255) DEFAULT NULL,
  `log_id_4` varchar(45) DEFAULT NULL,
  `log_id_4_key` varchar(255) DEFAULT NULL,
  `log_id_5` varchar(45) DEFAULT NULL,
  `log_id_5_key` varchar(255) DEFAULT NULL,
  `log_id_6` varchar(45) DEFAULT NULL,
  `log_id_6_key` varchar(255) DEFAULT NULL,
  `log_id_7` varchar(45) DEFAULT NULL,
  `log_id_7_key` varchar(255) DEFAULT NULL,
  `_rec_status` varchar(20) DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(50) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(50) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(50) DEFAULT NULL,
  `_rec_offline` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`log_id`)
) ENGINE=InnoDB AUTO_INCREMENT=68 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_log`
--

LOCK TABLES `t_sys_log` WRITE;
/*!40000 ALTER TABLE `t_sys_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_login_attempt`
--

DROP TABLE IF EXISTS `t_sys_login_attempt`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_login_attempt` (
  `login_attempt_ip` varchar(20) NOT NULL,
  `login_attempt_usr_id` varchar(255) NOT NULL DEFAULT '',
  `login_attempt_count` int(5) DEFAULT '1',
  `login_attempt_first` datetime DEFAULT NULL,
  `login_attempt_second` datetime DEFAULT NULL,
  `login_attempt_third` datetime DEFAULT NULL,
  `login_attempt_sys_name` varchar(1000) NOT NULL,
  PRIMARY KEY (`login_attempt_ip`,`login_attempt_usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_login_attempt`
--

LOCK TABLES `t_sys_login_attempt` WRITE;
/*!40000 ALTER TABLE `t_sys_login_attempt` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_login_attempt` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_login_logout_log`
--

DROP TABLE IF EXISTS `t_sys_login_logout_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_login_logout_log` (
  `log_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usr_id` varchar(50) DEFAULT NULL,
  `usr_full_name` varchar(100) DEFAULT NULL,
  `login_logout` varchar(7) DEFAULT NULL,
  `log_ip` varchar(30) DEFAULT NULL,
  `log_module` varchar(50) DEFAULT NULL,
  `log_date` datetime DEFAULT NULL,
  `log_os` varchar(50) DEFAULT NULL COMMENT 'Win7,iPhone',
  `log_os_ver` varchar(50) DEFAULT NULL COMMENT 'OS Version',
  `log_method` varchar(50) DEFAULT NULL COMMENT 'web,mobile_browser,mobile_apps',
  `log_browser` varchar(50) DEFAULT NULL COMMENT 'chrome 25, IE 8, CACTUS 1.0',
  `log_browser_ver` varchar(50) DEFAULT NULL COMMENT 'browser version',
  `_rec_status` varchar(20) DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(50) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(50) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`log_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6356 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_login_logout_log`
--

LOCK TABLES `t_sys_login_logout_log` WRITE;
/*!40000 ALTER TABLE `t_sys_login_logout_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_login_logout_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_login_session`
--

DROP TABLE IF EXISTS `t_sys_login_session`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_login_session` (
  `usr_id` varchar(11) NOT NULL,
  `session_id` varchar(45) NOT NULL,
  `login_ip` varchar(20) NOT NULL,
  `last_active_on` datetime NOT NULL,
  PRIMARY KEY (`usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_login_session`
--

LOCK TABLES `t_sys_login_session` WRITE;
/*!40000 ALTER TABLE `t_sys_login_session` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_login_session` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_page_hit_2022`
--

DROP TABLE IF EXISTS `t_sys_page_hit_2022`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_page_hit_2022` (
  `page_hit_id` int(11) NOT NULL AUTO_INCREMENT,
  `page_hit_date` datetime DEFAULT NULL,
  `page_hit_user_id` varchar(50) DEFAULT NULL,
  `page_hit_user_full_name` varchar(255) DEFAULT NULL,
  `page_hit_app` varchar(255) DEFAULT NULL,
  `page_hit_page` varchar(255) DEFAULT NULL,
  `page_hit_page_link` varchar(500) DEFAULT NULL,
  `page_hit_os` varchar(50) DEFAULT NULL,
  `page_hit_browser` varchar(50) DEFAULT NULL,
  `page_hit_ip` varchar(50) DEFAULT NULL,
  `page_hit_host` varchar(255) DEFAULT NULL,
  `page_hit_referer` varchar(500) DEFAULT NULL,
  `_rec_status` varchar(20) DEFAULT 'SHOW',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_offline` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`page_hit_id`)
) ENGINE=InnoDB AUTO_INCREMENT=32679 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_page_hit_2022`
--

LOCK TABLES `t_sys_page_hit_2022` WRITE;
/*!40000 ALTER TABLE `t_sys_page_hit_2022` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_page_hit_2022` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_request_key`
--

DROP TABLE IF EXISTS `t_sys_request_key`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_request_key` (
  `req_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `req_key_id` varchar(45) DEFAULT NULL,
  `req_key` varchar(45) DEFAULT NULL,
  `req_key_expired` datetime DEFAULT NULL,
  `req_ip` varchar(45) DEFAULT NULL,
  `_rec_status` varchar(20) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(50) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(50) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`req_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_request_key`
--

LOCK TABLES `t_sys_request_key` WRITE;
/*!40000 ALTER TABLE `t_sys_request_key` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_request_key` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_sms_send`
--

DROP TABLE IF EXISTS `t_sys_sms_send`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_sms_send` (
  `sms_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sms_url` text,
  `sms_mobile_no` text,
  `sms_message` longtext,
  `sms_log` text,
  `sms_status` varchar(45) DEFAULT 'pending',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`sms_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_sms_send`
--

LOCK TABLES `t_sys_sms_send` WRITE;
/*!40000 ALTER TABLE `t_sys_sms_send` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_sms_send` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_user`
--

DROP TABLE IF EXISTS `t_sys_user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_user` (
  `usr_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usr_short_name` varchar(45) NOT NULL DEFAULT '',
  `usr_ldap_auth` varchar(5) NOT NULL DEFAULT '1',
  `usr_from` varchar(45) NOT NULL DEFAULT 'imp',
  `usr_comm` varchar(5) NOT NULL DEFAULT '' COMMENT '1 = comm account, 0= not common acc',
  `usr_full_name` varchar(100) NOT NULL DEFAULT '',
  `usr_new_ic_no` varchar(15) NOT NULL DEFAULT '',
  `pms_ic_no` varchar(15) NOT NULL DEFAULT '',
  `usr_email` varchar(45) NOT NULL DEFAULT '',
  `usr_email_act` varchar(45) DEFAULT NULL,
  `employee_id` varchar(20) NOT NULL DEFAULT '',
  `mobile_no` varchar(15) NOT NULL DEFAULT '',
  `phone_office` varchar(15) NOT NULL DEFAULT '',
  `work_address` varchar(500) DEFAULT NULL COMMENT 'To keep address for different branch',
  `usr_password` varchar(45) NOT NULL DEFAULT '',
  `usr_password_key` varchar(45) NOT NULL DEFAULT '',
  `usr_password_sent_date` datetime DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`usr_id`)
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_user`
--

LOCK TABLES `t_sys_user` WRITE;
/*!40000 ALTER TABLE `t_sys_user` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_user_agency_history`
--

DROP TABLE IF EXISTS `t_sys_user_agency_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_user_agency_history` (
  `usr_id` varchar(10) NOT NULL,
  `usr_ag_id` varchar(10) NOT NULL DEFAULT '',
  `usr_ag_sta_date` date NOT NULL DEFAULT '0000-00-00',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`usr_id`,`usr_ag_sta_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_user_agency_history`
--

LOCK TABLES `t_sys_user_agency_history` WRITE;
/*!40000 ALTER TABLE `t_sys_user_agency_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_user_agency_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_user_common`
--

DROP TABLE IF EXISTS `t_sys_user_common`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_user_common` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usr_id` int(10) unsigned NOT NULL DEFAULT '0',
  `usr_id_common` int(10) unsigned NOT NULL DEFAULT '0',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_user_common`
--

LOCK TABLES `t_sys_user_common` WRITE;
/*!40000 ALTER TABLE `t_sys_user_common` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_user_common` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_user_position`
--

DROP TABLE IF EXISTS `t_sys_user_position`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_user_position` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr_id` varchar(10) NOT NULL,
  `ag_id` varchar(10) NOT NULL DEFAULT '',
  `unit_id` varchar(10) NOT NULL DEFAULT '',
  `station_id` varchar(10) NOT NULL DEFAULT '',
  `div_id` varchar(10) NOT NULL DEFAULT '',
  `physical_ag_id` varchar(10) NOT NULL DEFAULT '',
  `physical_station_id` varchar(10) NOT NULL DEFAULT '',
  `physical_div_id` varchar(10) NOT NULL DEFAULT '',
  `physical_office` varchar(10) NOT NULL DEFAULT '',
  `imp_post_slot_id` varchar(100) NOT NULL DEFAULT '',
  `imp_post_id` varchar(100) NOT NULL DEFAULT '',
  `pos_grade` varchar(100) NOT NULL DEFAULT '',
  `pos_sta_date` date DEFAULT NULL,
  `pos_end_date` date DEFAULT NULL,
  `pos_name` varchar(120) NOT NULL DEFAULT '',
  `pos_desc` varchar(120) NOT NULL DEFAULT '',
  `pos_default` varchar(2) NOT NULL DEFAULT '0',
  `pos_status` varchar(2) NOT NULL DEFAULT 'A' COMMENT 'A-ACTIVE, H-HISTORY',
  `sys_ag_id` varchar(10) NOT NULL DEFAULT '',
  `sys_ad_id` varchar(10) NOT NULL DEFAULT '',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `remark` varchar(100) NOT NULL DEFAULT '',
  `reason` text,
  PRIMARY KEY (`id`),
  KEY `usr_id` (`usr_id`),
  KEY `usr_position` (`usr_id`,`pos_default`,`pos_status`),
  KEY `usr_agency` (`sys_ag_id`,`sys_ad_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_user_position`
--

LOCK TABLES `t_sys_user_position` WRITE;
/*!40000 ALTER TABLE `t_sys_user_position` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_user_position` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_user_pref`
--

DROP TABLE IF EXISTS `t_sys_user_pref`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_user_pref` (
  `usr_id` varchar(50) NOT NULL DEFAULT '',
  `theme` varchar(45) DEFAULT NULL,
  `theme_color` varchar(45) DEFAULT NULL,
  `body_left_hideshow` varchar(10) DEFAULT NULL,
  `body_right_hideshow` varchar(10) DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_user_pref`
--

LOCK TABLES `t_sys_user_pref` WRITE;
/*!40000 ALTER TABLE `t_sys_user_pref` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_user_pref` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_user_temp`
--

DROP TABLE IF EXISTS `t_sys_user_temp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_user_temp` (
  `usr_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usr_short_name` varchar(45) NOT NULL DEFAULT '',
  `usr_ldap_auth` varchar(5) NOT NULL DEFAULT '1',
  `usr_from` varchar(45) NOT NULL DEFAULT 'imp',
  `usr_comm` varchar(5) NOT NULL DEFAULT '' COMMENT '1 = comm account, 0= not common acc',
  `usr_full_name` varchar(100) NOT NULL DEFAULT '',
  `usr_new_ic_no` varchar(15) NOT NULL DEFAULT '',
  `pms_ic_no` varchar(15) NOT NULL DEFAULT '',
  `usr_email` varchar(45) NOT NULL DEFAULT '',
  `usr_email_act` varchar(45) NOT NULL DEFAULT '',
  `employee_id` varchar(20) NOT NULL DEFAULT '',
  `mobile_no` varchar(15) NOT NULL DEFAULT '',
  `phone_office` varchar(15) NOT NULL DEFAULT '',
  `work_address` varchar(500) DEFAULT NULL COMMENT 'To keep address for different branch',
  `usr_password` varchar(45) NOT NULL DEFAULT '',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`usr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_user_temp`
--

LOCK TABLES `t_sys_user_temp` WRITE;
/*!40000 ALTER TABLE `t_sys_user_temp` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_user_temp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_user_title`
--

DROP TABLE IF EXISTS `t_sys_user_title`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_user_title` (
  `usr_title_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `imp_id` varchar(45) DEFAULT NULL,
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`usr_title_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_user_title`
--

LOCK TABLES `t_sys_user_title` WRITE;
/*!40000 ALTER TABLE `t_sys_user_title` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_user_title` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_user_title_history`
--

DROP TABLE IF EXISTS `t_sys_user_title_history`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_user_title_history` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `usr_id` varchar(10) NOT NULL,
  `usr_title_id` varchar(10) NOT NULL DEFAULT '',
  `usr_title_sta_date` date NOT NULL DEFAULT '0000-00-00',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_user_title_history`
--

LOCK TABLES `t_sys_user_title_history` WRITE;
/*!40000 ALTER TABLE `t_sys_user_title_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_user_title_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_user_title_lbl`
--

DROP TABLE IF EXISTS `t_sys_user_title_lbl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_user_title_lbl` (
  `kwd_code` varchar(45) NOT NULL DEFAULT '0',
  `kwd_lang` varchar(45) NOT NULL DEFAULT '',
  `kwd_value` varchar(1000) NOT NULL DEFAULT '',
  `_rec_status` varchar(45) NOT NULL DEFAULT 'SHOW',
  `_rec_sync_on` datetime DEFAULT NULL,
  `_rec_sync_by` varchar(45) DEFAULT NULL,
  `_rec_created_by` varchar(45) DEFAULT NULL,
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(45) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(45) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  PRIMARY KEY (`kwd_code`,`kwd_lang`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_user_title_lbl`
--

LOCK TABLES `t_sys_user_title_lbl` WRITE;
/*!40000 ALTER TABLE `t_sys_user_title_lbl` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_user_title_lbl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `t_sys_version`
--

DROP TABLE IF EXISTS `t_sys_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `t_sys_version` (
  `ver_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ver_number` varchar(45) DEFAULT NULL,
  `ver_date` date DEFAULT NULL,
  `ver_remark` text,
  `_rec_status` varchar(20) NOT NULL DEFAULT 'SHOW',
  `_rec_created_on` datetime DEFAULT NULL,
  `_rec_created_by` varchar(50) DEFAULT NULL,
  `_rec_modified_on` datetime DEFAULT NULL,
  `_rec_modified_by` varchar(50) DEFAULT NULL,
  `_rec_deleted_on` datetime DEFAULT NULL,
  `_rec_deleted_by` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`ver_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `t_sys_version`
--

LOCK TABLES `t_sys_version` WRITE;
/*!40000 ALTER TABLE `t_sys_version` DISABLE KEYS */;
/*!40000 ALTER TABLE `t_sys_version` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2022-05-24  9:21:01
