<?php
namespace moonlight\dbazzar;

class dbazzar extends \moonlight\module_base implements \moonlight\moonlight_module{

	protected $co_config;
	public $co_db;

	// General module information
	public function get_codename()		{ return 'dBazzar'; }
	public function get_shortname()		{ return 'dBazzar'; }
	public function get_fullname()		{ return 'dBazzar';}
	public function get_version()		{ return '1.0.0'; }
	public function get_icon()			{ return ''; } 
	public function get_module_folder()	{ return 'dbazzar/'; }
	public function get_component_folder()	{ return $this->get_module_folder().'web/component/'; }
	public function get_authorization() { return 'Authorization: Basic ' . \E::get('obj_kernel_config')->get('api/key'); }
	public function get_API_url() { return \E::get('obj_kernel_config')->get('api/url'); }
	public function get_google_maps_key() { return \E::get('obj_kernel_config')->get('api/google'); } 


	public function get_image_file( $p_filename ) { 
		return MOONLIGHT_FOLDER_PATH . $this->get_module_folder(). 'web/system/res/' . $p_filename; 
	}


	public function get_plugin_path( $p_filename ){
		return MOONLIGHT_FOLDER_PATH . 'module/' . $this->get_module_folder(). 'web/js/' . $p_filename; 
	}
	
	public function set_acl(){
		$v_cond['usr_id'] = \E::get_session('usr_id');
		$v_user_acl_infor = \E::get( 'obj_curr_module')->user_acl_get( $v_cond );
		if(is_array($v_user_acl_infor)){
			$v_user_group_infor = \E::get( 'obj_curr_module')->user_group_get($v_user_acl_infor[0]['group_id']);
		}
	
		if(isset($v_user_group_infor) && is_array($v_user_group_infor) && is_array($v_user_group_infor[0])){
			$v_session_acl['access'] = 1;
			foreach($v_user_group_infor[0] as $v_key => $v_acl){
				if(substr($v_key,0,5)=="group"){
					$v_session_acl[$v_key] = $v_acl;
				}
			}
		}else{
			$v_session_acl['access'] = 0;
		}

		\E::set_session($this->get_codename(), $v_session_acl);
	}

	public function auto_set_acl_group($p_info){
		return TRUE;
	}
	
	public function user_add( $p_usr_id, $p_array_param ){}

	public function user_remove( $p_usr_id ){}

	public function user_change_name( $p_usr_id, $p_usr_old_name, $p_usr_new_name ){}
	
	public function get_theme(){
		return \E::get('obj_kernel_config')->get('gui/theme');
	}

	public function get_theme_color(){
		return \E::get('obj_kernel_config')->get('gui/color');
	}

	public function is_able_to_access( $p_usr_id, $p_usr_name){ 

	
		$v_bypass_login = array('share/forget_password', 'share/otp_verification', 'share/proxy');

		
		$v_current_component_action = \E::get('MOONLIGHT_CURRENT_COMPONENT') . '/' . \E::get('MOONLIGHT_CURRENT_ACTION');
	
		if ( in_array($v_current_component_action, $v_bypass_login) ){
			return TRUE;
		}


		$v_bypass_login_component = array();


		if ( in_array(\E::get('MOONLIGHT_CURRENT_COMPONENT'), $v_bypass_login_component) ){
			return TRUE;
		}
	

		if ( \E::is_anonymous() ){
			return FALSE;
		}else{
			$this->c_usr_id = $p_usr_id;
			$this->c_usr_name = $p_usr_name;
			return TRUE;
		}
	}

	public function __construct( $p_config_path='' ){
		$this->init( __NAMESPACE__, __CLASS__, $p_config_path );
		$this->c_usr_id = \E::get_session('usr_id');
	}
	
	public function get_config(){
		return $this->co_config;
	}

	public function get_right_to_access( $p_action = 'affiliate' , $p_acl_name=NULL ){
		
		$v_acl_var = "group_com_".$p_action;

	
		unset( $v_acl_val );
		$v_acl_val = \E::get_session($this->get_codename().'/'.$v_acl_var);
		
		
		
		$v_tmp_val = substr( "0000".decbin($v_acl_val), -4 );

		
		$v_acl_arr = str_split( $v_tmp_val );

		switch( strtolower( $p_action ) ){
			case "affiliate":
				$v_acl_check = $v_acl_arr[3];
				break;
			case "user":
				$v_acl_check = $v_acl_arr[2];
				break;
			case "admin":
				$v_acl_check = $v_acl_arr[1];
				break;
			case "superadmin":
				$v_acl_check = $v_acl_arr[0];
				break;
		}

		if($v_acl_check==1){
			return TRUE;
		}else{
			return FALSE;
		}
	}

	
	public function get_component_list($p_array_ignore_comp = NULL){
		$v_path = MOONLIGHT_MODULE_PATH . \E::get( 'obj_curr_module')->get_component_folder();
		$v_array_components=\U::get_all_dirs_name($v_path);
		if(!empty($p_array_ignore_comp)){
			foreach($v_array_components as $compName){
				if(!in_array($compName,$p_array_ignore_comp)){
					$v_array_components_final[]=$compName;
				}
			}
		}else{
			$v_array_components_final=$v_array_components;
		}
		return $v_array_components_final;
	}

	public function get_component_acl_list(){
		$v_ignore_list = array("cronjob","home","share");
		return $this->get_component_list( $v_ignore_list );
	}

	public function paging_build($o_kernel_lang, $p_total_rows, $p_rows_per_page, $p_page_num, $p_js_function='', $p_param="", $p_align="center", $p_display_total=1, $p_display_label=1 ){
		if($p_align=="")	$p_align="center";
		
		if ( substr( $p_param, 0, 1 )=='?' ){
			$p_param = "&" . substr( $p_param, 1 );
		}
		
		$active_icon = "NAV_ACT_";
		$inactive_icon = "NAV_INACT_";
		
		$max_pages = ceil($p_total_rows/$p_rows_per_page);
		$max_pages = ($max_pages == 0) ? 1 : $max_pages;
		
		$self = $_SERVER['REDIRECT_URL'];
		
		if ($p_js_function!='')	$txt_box_link = $p_js_function."(\"$self?page=\"+this.value+\"$p_param\")";
		else	$txt_box_link = "window.location=\"$self?page=\"+this.value+\"$p_param\"";
		
		$page_box = "<input class='mb-0' type=text name='p_page_num' value='$p_page_num' maxlength=5 size=1 style='padding:0px;width:40px;text-align:center' onBlur='javascript:if(isNaN(this.value)||this.value<1 || this.value>" . $max_pages . "){this.value=$p_page_num}else if (this.value!=\"$p_page_num\"){ $txt_box_link }'>";
		
		$page_n_of_x = str_replace('<n>',$page_box,$o_kernel_lang->get('PG_PAGE_N_OF_X'));
		$page_n_of_x = str_replace('<x>','<b>'.$max_pages.'</b>',$page_n_of_x);
		$page_n_of_x = '<li">' . $page_n_of_x . '</li>';
		
		
		if ($p_page_num > 1 ){
		
			$page = $p_page_num - 1;
			
			$v_url = $self.'?page='.$page.$p_param;
			if ($p_js_function!=''){
			  $v_url = 'javascript:'.$p_js_function.'(\''.$v_url.'\')';
			}
			$prev  = '<li class="page-item">';
			$prev .= '<a class="page-link" href="'.$v_url.'" TITLE="'.$o_kernel_lang->get('PG_PREVIOUS_PAGE').'">';
			$prev .= '<i class="fa fa-fw fa-angle-left"></i>';
			$prev .= ' '.$o_kernel_lang->get('PG_PREVIOUS_PAGE');
			$prev .= '</a>';
			$prev .= '</li>';
			$prev .= chr(10);
			
			$v_url = $self.'?page=1'.$p_param;
			if ($p_js_function!=''){
			  $v_url = 'javascript:'.$p_js_function.'(\''.$v_url.'\')';
			}
			$first  = '<li class="page-item">';
			$first .= '<a class="page-link" href="'.$v_url.'" TITLE="'.$o_kernel_lang->get('PG_FIRST_PAGE').'">';
			$first .= '<i class="fa fa-fw fa-angle-double-left"></i>';
			$first .= " ".$o_kernel_lang->get('PG_FIRST_PAGE');
			$first .= "</a>";
			$first .= "</li>";
			$first .= chr(10);
		}else{
			
			$prev  = '<li class="page-item disabled"><span class="page-link">';
			$prev .= '<i class="fa fa-fw fa-angle-left"></i>';
			$prev .= " ".$o_kernel_lang->get('PG_PREVIOUS_PAGE');
			$prev .= "</span></li>";
			$prev .= chr(10);
			
			$first  = '<li class="page-item disabled"><span class="page-link">';
			$first .= '<i class="fa fa-fw fa-angle-double-left"></i>';
			$first .= " ".$o_kernel_lang->get('PG_FIRST_PAGE');
			$first .= "</span></li>";
			$first .= chr(10);
		}
		
	
		if ( $p_page_num < $max_pages ){
		
			$page = $p_page_num + 1;
			
			$v_url = $self.'?page='.$page.$p_param;			
			if ($p_js_function!=''){
			  $v_url = 'javascript:'.$p_js_function.'(\''.$v_url.'\')';
			}
			$next  = '<li class="page-item">';
			$next .= "<a class='page-link' href=\"$v_url\" TITLE=\"{$o_kernel_lang->get('PG_NEXT_PAGE')}\">";
			
			$next .= '<i class="fa fa-fw fa-angle-right"></i>';
			$next .= $o_kernel_lang->get('PG_NEXT_PAGE');
			$next .= "</a>";
			$next .= "</li>";
			$next .= chr(10);
			
			$v_url = $self.'?page='.$max_pages.$p_param;
			if ($p_js_function!=''){
			  $v_url = 'javascript:'.$p_js_function.'(\''.$v_url.'\')';
			}
			$last  = '<li class="page-item">';
			$last .= "<a class='page-link' href=\"$v_url\" TITLE='{$o_kernel_lang->get('PG_LAST_PAGE')}'>";
			$last .= '<i class="fa fa-fw fa-angle-double-right"></i>';
			$last .= $o_kernel_lang->get('PG_LAST_PAGE');
			$last .= "</a>";
			$last .= "</li>";
			$last .= chr(10);
		}else{
			
			$next  = '<li class="page-item disabled"><span class="page-link">';
			$next .= '<i class="fa fa-fw fa-angle-right"></i>';
			$next .= " ".$o_kernel_lang->get('PG_NEXT_PAGE');
			$next .= "</span></li>";
			$last  = '<li class="page-item disabled"><span class="page-link">';
			$last .= '<i class="fa fa-fw fa-angle-double-right"></i>';
			$last .= " ".$o_kernel_lang->get('PG_LAST_PAGE');
			$last .= "</span></li>";
			$last .= chr(10);
		}
		
		$total_rec = ($p_display_total==0) ? '' : '<li class="page-item disabled"><span class="page-link">' . $o_kernel_lang->get('PG_TOTAL_RECORDS') . $p_total_rows . '</span></li>';
		
		$v_page_html = '<ul class="pagination justify-content-center">';
		$v_page_html .= $first . $prev . $total_rec . $next . $last ;
		$v_page_html .= '</ul>';
		$v_page_html .= chr(10).chr(13);
		$v_page_html .= '<ul class="pagination justify-content-center">';
		$v_page_html .= $page_n_of_x ;
		$v_page_html .= '</ul>';
		$v_page_html .= chr(10).chr(13);
		
		return $v_page_html;
	}
	
	public function __call($name, $arguments){
		$v_namespace = "\\". __NAMESPACE__ . "\\"; 
		$v_temp_arr = explode("_",$name);
		$v_temp_arr = array_reverse( $v_temp_arr );
		$v_temp_name = array_pop( $v_temp_arr );
		$v_temp_name = strtolower($v_temp_name);
		$v_module_code=\E::get('obj_curr_module')->get_config()->get('general/module_code');
		$v_cls_name_prefix = $v_namespace.$v_module_code."_";
		$v_count = 0; 
		$v_continue = ( class_exists( $v_cls_name_prefix.$v_temp_name) && method_exists( $v_cls_name_prefix.$v_temp_name, $name ));
		while(!$v_continue){
			$v_temp_val = array_pop( $v_temp_arr );
			if(empty($v_temp_val)){
				break;
			}
	
			if(class_exists( $v_cls_name_prefix.$v_temp_name) && method_exists( $v_cls_name_prefix.$v_temp_name, $name )){
				break;
			}
			$v_temp_name .= "_".$v_temp_val;
			$v_temp_name = strtolower($v_temp_name);
			if(strtoupper($v_temp_name)==strtoupper($name)){
				break;
			}
			$v_count++;
			if($v_count>5){
				break;
			}
		}

		$v_call_obj = $v_cls_name_prefix.$v_temp_name;
		if(!isset($this->co_obj[$v_temp_name])){
			$this->co_obj[$v_temp_name] = new $v_call_obj($this->co_db);
		}
		if(isset($this->co_obj[$v_temp_name])){
			return call_user_func_array(array($this->co_obj[$v_temp_name], $name), $arguments);
		}
	}


	public function get_http_response_status( $p_value ){
		$http_status_codes = array(
			100 => "Continue", 
			101 => "Switching Protocols", 
			102 => "Processing", 
			200 => "OK", 
			201 => "Created", 
			202 => "Accepted", 
			203 => "Non-Authoritative Information", 
			204 => "No Content", 
			205 => "Reset Content", 
			206 => "Partial Content", 
			207 => "Multi-Status", 
			300 => "Multiple Choices", 
			301 => "Moved Permanently", 
			302 => "Found", 
			303 => "See Other", 
			304 => "Not Modified", 
			305 => "Use Proxy", 
			306 => "(Unused)",
			307 => "Temporary Redirect", 
			308 => "Permanent Redirect", 
			400 => "Bad Request", 
			401 => "Unauthorized", 
			402 => "Payment Required", 
			403 => "Forbidden", 
			404 => "Not Found", 
			405 => "Method Not Allowed", 
			406 => "Not Acceptable", 
			407 => "Proxy Authentication Required", 
			408 => "Request Timeout", 
			409 => "Conflict", 
			410 => "Gone", 
			411 => "Length Required", 
			412 => "Precondition Failed", 
			413 => "Request Entity Too Large", 
			414 => "Request-URI Too Long", 
			415 => "Unsupported Media Type", 
			416 => "Requested Range Not Satisfiable", 
			417 => "Expectation Failed", 
			418 => "I'm a teapot", 
			419 => "Authentication Timeout", 
			420 => "Enhance Your Calm", 
			422 => "Unprocessable Entity", 
			423 => "Locked", 
			424 => "Failed Dependency", 
			424 => "Method Failure", 
			425 => "Unordered Collection", 
			426 => "Upgrade Required", 
			428 => "Precondition Required", 
			429 => "Too Many Requests", 
			431 => "Request Header Fields Too Large", 
			444 => "No Response", 
			449 => "Retry With", 
			450 => "Blocked by Windows Parental Controls", 
			451 => "Unavailable For Legal Reasons", 
			494 => "Request Header Too Large", 
			495 => "Cert Error", 
			496 => "No Cert", 
			497 => "HTTP to HTTPS", 
			499 => "Client Closed Request",
			500 => "Internal Server Error", 
			501 => "Not Implemented", 
			502 => "Bad Gateway", 
			503 => "Service Unavailable", 
			504 => "Gateway Timeout", 
			505 => "HTTP Version Not Supported", 
			506 => "Variant Also Negotiates", 
			507 => "Insufficient Storage", 
			508 => "Loop Detected", 
			509 => "Bandwidth Limit Exceeded", 
			510 => "Not Extended", 
			511 => "Network Authentication Required", 
			598 => "Network read timeout error", 
			599 => "Network connect timeout error"
		);
		return $http_status_codes[$p_value];
	}
}
?>