<?php
namespace moonlight\dbazzar;

class dbazzar_affiliate {
	private $co_db;

	public function __construct( $p_co_db ){
		$this->co_db = $p_co_db;
	}

	public function __destruct(){
		unset($this->co_db);
	}

	public function affiliate_get($p_session_id, $p_id, $p_start = NULL, $p_cond = NULL, $p_order = NULL) {
		$v_curl = curl_init();
		curl_setopt_array($v_curl, 
			array(
				CURLOPT_URL =>  \E::get('obj_curr_module')->get_API_url() . 'dBazzarEntitiesList',
				CURLOPT_RETURNTRANSFER => true,
				CURLOPT_ENCODING => '',
				CURLOPT_MAXREDIRS => 10,
				CURLOPT_TIMEOUT => 0,
				CURLOPT_FOLLOWLOCATION => true,
				CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
				CURLOPT_CUSTOMREQUEST => 'POST',
				CURLOPT_POSTFIELDS => array(
					'user_id' => $p_id,
					'session_id' => $p_session_id,
					'page' => $p_start
				),
				CURLOPT_HTTPHEADER => array(
					\E::get('obj_curr_module')->get_authorization()
				),
			)
		);

		$v_response = curl_exec($v_curl);
		$v_list = json_decode($v_response, 1);
		curl_close($v_curl);

		if($v_response){
			
			if($p_order != null || $p_cond != null || $p_start !== NULL ){
				foreach($p_order as $v_value){
					$v_order_by = \U::safe_sql_string($v_value['order_by']);

					if($v_value['sort_by'] == 'ASC'){
						$v_sort_by = SORT_ASC;
					}else{
						$v_sort_by = SORT_DESC;
					}

					$v_result = array();
					foreach ($v_list as $v_list_sub) {
						foreach ($v_list_sub as $key => $row) {
							$row['entity_name'] = ucfirst($row['entity_name']);
							$row['affiliate_assigned_date'] = ucfirst($row['affiliate_assigned_date']);
							$row['entity_branch_status'] = ucfirst($row['entity_branch_status']);
							$v_result[$key] = $row;
						}
					}

					$column  = array_column($v_result, $v_order_by);
					array_multisort($column, $v_sort_by, $v_result);
				}

				$v_value = \U::safe_sql_string( $v_value );

				if($p_cond != NULL){
					$v_result = array_filter($v_result, function ($value) use ($p_cond) {
						if ( $p_cond['entity_name'] != null && $p_cond['category_id'] != null && $p_cond['city_id'] != null) {
							return (stripos($value['entity_name'], $p_cond['entity_name']) !== false && $value['category_id'] == $p_cond['category_id'] && $value['city_id'] == $p_cond['city_id']);
						} else if ($p_cond['entity_name'] != null && $p_cond['category_id'] != null) {
							return (stripos($value['entity_name'], $p_cond['entity_name']) !== false && $value['category_id'] == $p_cond['category_id'] );
						} else if ($p_cond['entity_name'] != null && $p_cond['city_id'] != null) {
							return (stripos($value['entity_name'], $p_cond['entity_name']) !== false && $value['city_id'] == $p_cond['city_id'] );
						} else if ($p_cond['category_id'] != null && $p_cond['city_id'] != null) {
							return ($value['category_id'] == $p_cond['category_id'] && $value['city_id'] == $p_cond['city_id']);
						} else if ($p_cond['entity_name'] != null) {
							return stripos($value['entity_name'], $p_cond['entity_name']) !== false;
						} else if ($p_cond['category_id'] != null) {
							return ($value['category_id'] == $p_cond['category_id']);
						} else if ($p_cond['city_id'] != null) {
							return ($value['city_id'] == $p_cond['city_id']);
						} else {
							return $value;
						}
					});
				}
				
			} else {
				$v_result = $v_list;
			}

			
		} else {
			$v_result = '';
		}

		return $v_result;		
	}
	
	public function affiliate_list( $p_cond, $p_order= NULL, $p_start = NULL, $p_num_of_rec = NULL, $p_publish= NULL, $p_cat= NULL ){
		return $this->co_db->affiliate_list( $p_cond, $p_order, $p_start, $p_num_of_rec, $p_publish, $p_cat );
	}

	public function affiliate_list_total($p_cond){
		return $this->co_db->affiliate_list_total($p_cond);
	}


	public function affiliate_sign_up( $p_value ){
		$p_value['current_datetime'] = \E::get( 'obj_curr_module')->__now();
		$v_id = $this->co_db->affiliate_sign_up($p_value);

		return $v_id;
	}

	
	public function affiliate_check( $p_value ){
		return $this->co_db->affiliate_check($p_value);
	}

	
	public function affiliate_otp_verified( $p_value ){
		$p_value['current_datetime'] = \E::get( 'obj_curr_module')->__now(); 
		return $this->co_db->affiliate_otp_verified( $p_value );
	}


	public function affiliate_status( $p_value ){
		$p_value['current_datetime'] = \E::get( 'obj_curr_module')->__now(); 
		return $this->co_db->affiliate_status( $p_value );
	}

	
	public function affiliate_status_get($p_id, $p_status) {
		$v_curl = curl_init();
		curl_setopt_array($v_curl, 
			array(
				CURLOPT_URL =>  \E::get('obj_curr_module')->get_API_url() . 'updatePaymentStatus',
				CURLOPT_RETURNTRANSFER => true,
				CURLOPT_ENCODING => '',
				CURLOPT_MAXREDIRS => 10,
				CURLOPT_TIMEOUT => 0,
				CURLOPT_FOLLOWLOCATION => true,
				CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
				CURLOPT_CUSTOMREQUEST => 'POST',
				CURLOPT_POSTFIELDS => array(
					'user_id' => $p_id,
					'payment_status' => $p_status
				),
				CURLOPT_HTTPHEADER => array(
					\E::get('obj_curr_module')->get_authorization()
				),
			)
		);

		$v_response = curl_exec($v_curl);
		$v_result = json_decode($v_response, 1);
		curl_close($v_curl);

		return $v_result;
	}


	public function affiliate_merchant_order_no( $p_value ){
		$p_value['current_datetime'] = \E::get( 'obj_curr_module')->__now(); 
		return $this->co_db->affiliate_merchant_order_no( $p_value );
	}

}
?>