<?php
namespace moonlight\dbazzar;

class dbazzar_affiliate_mysql {
	private $co_db_root;
	
	public function __call($name, $arguments){
		$v_tmp_arr = explode("_", $name);
		$v_call_obj = $v_tmp_arr[0];

		if(isset($this->co_db_root)){
			return call_user_func_array(array($this->co_db_root, $name), $arguments);
		}
	}

	public function __construct( &$p_co_db ){
		$this->co_db_root = $p_co_db;
	}
	

	public function affiliate_list( $p_cond, $p_order = NULL, $p_start = NULL, $p_num_of_rec = NULL, $p_publish = NULL, $p_cat = NULL ){

		$v_where = '';
		if($p_cond != null){
			foreach($p_cond as $v_field=>$v_value){
				if($v_value!=''){
					$v_where .= ' AND ' . $v_field . ' LIKE "%' . \U::safe_sql_string( $v_value ) . '%"';
				}
			}
		}
		

		$v_order_by = '';
		if($p_order != NULL){
			foreach($p_order as $v_value){
				if($v_order_by == '') {
					$v_order_by = ' ORDER BY '.\U::safe_sql_string( $v_value['order_by'] ).' '.\U::safe_sql_string( $v_value['sort_by'] );
				} else {
					$v_order_by .= ', ' . \U::safe_sql_string( $v_value['order_by'] ) . ' ' .\U::safe_sql_string( $v_value['sort_by'] );
				}
			}
		}


		$v_limit = '';
		if($p_start !== NULL && $p_num_of_rec !== NULL){
			$v_limit = ' LIMIT ' . \U::safe_sql_string($p_start) . ', ' . \U::safe_sql_string($p_num_of_rec);
		}

					
		$v_query = 	"SELECT 
						*
					FROM " . $this->get_db_table_prefix() . "merchant
					WHERE _rec_status = \"SHOW\"
					" . $v_where
					. $v_order_by . $v_limit;
		
		$v_result = $this->co_db_root->execute_query($v_query);

		if($v_result && is_array($v_result)){
			foreach($v_result as $v_key=>$v_value){
				$v_result[$v_key]['_rec_created_on'] = $this->co_db_root->__to_display_date($v_result[$v_key]['_rec_created_on'],'DATE');
			}
		}

		return $v_result;
	}


	public function affiliate_list_total($p_cond){
	
		$v_where = '';
		if($p_cond != null){
			foreach($p_cond as $v_field=>$v_value){
				if($v_value!=''){
					$v_where .= ' AND ' . $v_field . ' LIKE "%' . \U::safe_sql_string( $v_value ) . '%"';
				}
			}
		}

		$v_lang_info = \E::get('obj_curr_module')->get_lang();

		
		$v_query = 	"SELECT 
						COUNT(merchant_id) AS 'total_rec'
					FROM " . $this->get_db_table_prefix() . "merchant
					WHERE _rec_status = \"SHOW\"
					" . $v_where;

		$v_result = $this->co_db_root->execute_query($v_query);

		return $v_result[0]['total_rec'];
	}


	public function affiliate_sign_up( $p_value ){
		$v_query = 	"INSERT INTO 
					" . $this->get_db_table_prefix() . "affiliate(
						affiliate_id,
						affiliate_email,
						affiliate_first_name,
						affiliate_last_name,
						affiliate_type_id,
						t_sys_usr_id,
						is_phone_verified,
						is_paid,
						_rec_created_on,
						_rec_status
					)VALUE(
						\"" . \U::safe_sql_string( $p_value['affiliate_id'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['affiliate_email'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['affiliate_first_name'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['affiliate_last_name'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['affiliate_type_id'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['usr_id'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['is_phone_verified'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['is_paid'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['_rec_status'] ) . "\"
					)";
		$v_result = $this->co_db_root->execute_query($v_query);
		return $this->co_db_root->get_last_insert_id();
	}


	public function affiliate_check( $p_value ){
		$v_cond ='';

		$v_query = "SELECT 
						*
					FROM " . $this->get_db_table_prefix() . "affiliate 
					INNER JOIN " . $this->get_db_table_prefix() . "affiliate_type
					ON " . $this->get_db_table_prefix() .  "affiliate.affiliate_type_id=" . $this->get_db_table_prefix() .  "affiliate_type.affiliate_type_id
					WHERE _rec_status = \"SHOW\" 
					AND affiliate_email=\"" . \U::safe_sql_string( $p_value  ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);
		return $v_result;
	}


	public function affiliate_otp_verified( $p_value ){
		$v_query = 	"UPDATE 
					" . $this->get_db_table_prefix() . "affiliate 
					SET
						is_phone_verified = \"" . \U::safe_sql_string( $p_value['is_phone_verified'] ) . "\",
						_rec_modified_on = \"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\",
						_rec_modified_by = \"" . \U::safe_sql_string( $p_value['affiliate_id'] ) . "\"
					WHERE 
						affiliate_id = \"" . \U::safe_sql_string( $p_value['affiliate_id'] ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);
		return $v_result;
	}

	public function affiliate_status( $p_value ){
		$v_query = 	"UPDATE 
					" . $this->get_db_table_prefix() . "affiliate 
					SET
						is_paid = \"" . \U::safe_sql_string( $p_value['is_paid'] ) . "\",
						_rec_modified_on = \"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\",
						_rec_modified_by = \"" . \U::safe_sql_string( $p_value['affiliate_id'] ) . "\"
					WHERE 
						affiliate_id = \"" . \U::safe_sql_string( $p_value['affiliate_id'] ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);
		return $v_result;
	}

	
	public function affiliate_merchant_order_no( $p_value ){
		$v_query = 	"INSERT INTO 
					" . $this->get_db_table_prefix() . "affiliate_payment(
						affiliate_payment_affiliate_id,
						affiliate_payment_merchant_order_no,
						affiliate_payment_order_no,
						affiliate_payment_status,
						_rec_created_on,
						_rec_status
					)VALUE(
						\"" . \U::safe_sql_string( $p_value['affiliate_payment_affiliate_id'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['affiliate_payment_merchant_order_no'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['affiliate_payment_order_no'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['affiliate_payment_status'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['_rec_status'] ) . "\"
					)";
		$v_result = $this->co_db_root->execute_query($v_query);
		return $this->co_db_root->get_last_insert_id();
	}
}


?>