<?php
namespace moonlight\dbazzar;

class dbazzar_cdb {
	private $obj;
	private $property;
	private $keys;
	private $co_db;

	public function __construct( $p_co_db ){
		$this->co_db = $p_co_db;
	}

	public function __destruct(){
		unset($this->co_db);
	}
	
	public function cdb_set($p_obj){
		$this->obj = $p_obj;
	}

	public function cdb_new($p_fields=NULL){
		$this->keys = NULL;
		if(is_null($p_fields) || $p_fields == ''){
			$this->property = NULL;
			return FALSE;
		}
		$this->property = $p_fields;
		return $this->cdb_save();
	}
	
	public function cdb_edit($p_keys, $p_fields=NULL){
		$this->keys = $p_keys;
		if(is_null($p_fields) || $p_fields == ''){
			$this->property = array();
			return FALSE;
		}
		$this->property = $p_fields;
		return $this->cdb_save();
	}

	public function cdb_get($p_keys, $p_fields=NULL){
		$this->keys = $p_keys;
		$this->property = $p_fields;
		if(!isset($this->keys['_rec_status'])){
				$this->keys['_rec_status'] = 'SHOW';
		}
		$this->property = $this->co_db->cdb_get( $this->obj, $this->property, $this->keys );
		return $this->property;
	}

	public function cdb_save(){
		if(!is_array($this->property) || is_null($this->property)){
			return FALSE;
		}

		if(!isset($this->property['_rec_modified_on'])){
			$this->property['_rec_modified_on'] = \E::get( 'obj_curr_module')->__now();
		}
		if(!isset($this->property['_rec_modified_by'])){
			$this->property['_rec_modified_by'] = \E::get_session('usr_id');
		}

		if(is_null($this->keys)){
			if(!isset($this->property['_rec_created_on'])){
				$this->property['_rec_created_on'] = \E::get( 'obj_curr_module')->__now();
			}
			if(!isset($this->property['_rec_created_by'])){
				$this->property['_rec_created_by'] = \E::get_session('usr_id');
			}
			if(!isset($this->property['_rec_status'])){
				$this->property['_rec_status'] = 'SHOW';
			}
			$v_return = $this->co_db->cdb_add( $this->obj, $this->property );
			if($v_return!== FALSE){
				$this->property = NULL;
			}
			return $v_return;
		}else{
			return $this->co_db->cdb_edit( $this->obj, $this->property, $this->keys );
		}
	}

	public function cdb_property_set($p_name, $_value){
		$this->property[$p_name] = $_value;
	}

	public function cdb_property_get($p_name){
		if(isset($this->property[$p_name])){
			return $this->property[$p_name];
		}else{
			return NULL;
		}
	}
}
?>