<?php
namespace moonlight\dbazzar;

class dbazzar_cdb_mysql {
	private $co_db_root;

	public function __call($name, $arguments){
		$v_tmp_arr = explode("_", $name);
		$v_call_obj = $v_tmp_arr[0];
		if(isset($this->co_db_root)){
			return call_user_func_array(array($this->co_db_root, $name), $arguments);
		}
	}

	public function __construct( &$p_co_db ){
		$this->co_db_root = $p_co_db;
	}

	public function cdb_get( $p_tbl, $p_field, $p_key ){
		$v_field_list = '';
		if(is_array($p_field) && !is_null($p_field)){
			foreach($p_field as $v_field){
				if($v_field_list!=''){
					$v_field_list .=  ',';							
				}
				$v_field_list .=  \U::safe_sql_string($v_field);
			}
		}else{
			$v_field_list = '*';
		}

		$v_key_list = '';
		if(is_array($p_key) && !is_null($p_key)){
			foreach($p_key as $v_key => $v_value){
				if($v_key_list!=''){
					$v_key_list .=  ' AND ';							
				}
				$v_key_list .=  \U::safe_sql_string($v_key) . '="' . \U::safe_sql_string($v_value) . '"';
			}
			if($v_key_list!=''){
				$v_key_list = ' WHERE ' . $v_key_list;
			}
		}

		$v_query = 	"SELECT 
						{$v_field_list}
					FROM " . $this->get_db_table_prefix() . \U::safe_sql_string($p_tbl) . " 
					{$v_key_list}
					";
		$v_result = $this->co_db_root->execute_query($v_query);
		if($v_result && is_array($v_result)){
			return $v_result[0];
		}else{
			return FALSE;
		}
	}

	
	public function cdb_add( $p_tbl, $p_value ){
		$v_field_list = '';
		$v_value_list = '';
		foreach($p_value as $v_field=>$v_value){
			if($v_field_list!=''){
				$v_field_list .=  ',';				
				$v_value_list .=  ',';				
			}
			$v_field_list .=  \U::safe_sql_string($v_field);
			$v_value_list .=  '"' . \U::safe_sql_string($v_value) . '"';
		}
		

		$v_query = 	"INSERT INTO 
						" . $this->get_db_table_prefix() . \U::safe_sql_string($p_tbl) . "(
						" . $v_field_list . "
					)VALUE(
						" . $v_value_list . "
					)";
		$v_result = $this->co_db_root->execute_query($v_query);
		return $this->co_db_root->get_last_insert_id();
	}


	public function cdb_edit( $p_tbl, $p_value, $p_key ){
		$v_update_list = '';
		foreach($p_value as $v_field=>$v_value){
			if($v_update_list!=''){
				$v_update_list .=  ',';						
			}
			$v_update_list .=  \U::safe_sql_string($v_field) . ' = "' . \U::safe_sql_string($v_value) . '"';
		}

		$v_key_list = '';
		foreach($p_key as $v_field=>$v_value){
			if($v_key_list!=''){
				$v_key_list .=  ' AND ';						
			}
			$v_key_list .=  \U::safe_sql_string($v_field) . ' = "' . \U::safe_sql_string($v_value) . '"';
		}

		$v_query = 	"UPDATE 
					" . $this->get_db_table_prefix() . \U::safe_sql_string($p_tbl) . " 
					SET
						{$v_update_list}
					WHERE
						{$v_key_list}
					";
		return $this->co_db_root->execute_query($v_query);
	}
}
?>