<?php
namespace moonlight\dbazzar;

class dbazzar_cronjob_mysql {
	private $co_db_root;

	public function __call($name, $arguments){
		$v_tmp_arr = explode("_", $name);
		$v_call_obj = $v_tmp_arr[0];
		if(isset($this->co_db_root)){
			return call_user_func_array(array($this->co_db_root, $name), $arguments);
		}
	}

	public function __construct( &$p_co_db ){
		$this->co_db_root = $p_co_db;
	}


	public function cronjob_verify_merchant_status(){
		$v_query = 	"SELECT 
						*
					FROM " . $this->get_db_table_prefix() . 
					"merchant WHERE merchant_submit_status = \"0\" 
					OR merchant_file_submit_status = \"0\"";
		$v_result = $this->co_db_root->execute_query($v_query);
		$v_is_conjob = TRUE;

		if ( !empty($v_result) ){
			foreach($v_result as $v_record){
				if ( $v_record['merchant_submit_status'] == '0' ){
					$v_upload = \E::get('obj_curr_module')->merchant_upload($v_record, $v_is_conjob);
	
					if ( isset($v_upload['id']) ){
						$v_info = array(
							'merchant_id' => $v_record['merchant_id'],
							'upload_id' =>  $v_upload['id'],
							'_rec_modified_by' => $v_record['_rec_modified_by']
						);
						\E::get('obj_curr_module')->merchant_file_upload($v_info, $v_is_conjob);
					}
				}
				if ( $v_record['merchant_file_submit_status'] == '0' ){
					$v_info = array(
						'merchant_id' => $v_record['merchant_id'],
						'upload_id' =>  $v_record['merchant_submit_id'],
						'_rec_modified_by' => $v_record['_rec_modified_by']
					);
					\E::get('obj_curr_module')->merchant_file_upload($v_info, $v_is_conjob);
				}
			}
			$v_result = $this->co_db_root->execute_query($v_query);
		}

		if ( empty($v_result) ){
			return TRUE;
		}else{
			return FALSE;
		}
	}

	public function cronjob_order_inquiry (){
		$v_query = 	"SELECT 
						*
					FROM " . $this->get_db_table_prefix() . "affiliate_payment 
					WHERE affiliate_payment_status = \"0\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);

		$sPayURL = "https://spayolp.sains.com.my/" . "xservice/query-order/";
		$merchantId = \E::get('obj_kernel_config')->get('sarawakpay/merchant_id');

		function callAPI($method, $url, $data)
		{
			$curl = curl_init();

			switch ($method) {
				case "POST":
					curl_setopt($curl, CURLOPT_POST, 1);
					if ($data)
						curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
					break;
				case "PUT":
					curl_setopt($curl, CURLOPT_CUSTOMREQUEST, "PUT");
					if ($data)
						curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
					break;
				default:
					if ($data)
						$url = sprintf("%s?%s", $url, http_build_query($data));
			}


			curl_setopt($curl, CURLOPT_URL, $url);
		
			curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
			curl_setopt($curl, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
			curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
			curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, false);

	
			$result = curl_exec($curl);
			if (!$result) {
				die("Connection Failure");
			}
			curl_close($curl);
			return $result;
		}

		$payment_status = array();

		if (!empty($v_result)) {
			foreach($v_result as $v_record) {
				$data_array_details =  array(
					"merchantId"        => $merchantId,
					"merOrderNo"        => $v_record['affiliate_payment_merchant_order_no'],
					"orderNo"			=> $v_record['affiliate_payment_order_no'],
				 );
			}

			$make_call = callAPI('POST', $sPayURL, $data_array_details);
			$response = json_decode($make_call, true);
			array_push($payment_status, $response);
		}
		
		return $payment_status;
		
	}
}
?>