<?php
namespace moonlight\dbazzar;

class dbazzar_home_mysql {
	private $co_db_root;

	public function __call($name, $arguments){
		$v_tmp_arr = explode("_", $name);
		$v_call_obj = $v_tmp_arr[0];
		if(isset($this->co_db_root)){
			return call_user_func_array(array($this->co_db_root, $name), $arguments);
		}
	}

	public function __construct( &$p_co_db ){
		$this->co_db_root = $p_co_db;
	}

	public function article_get( $p_id ){

		$v_query = 	"SELECT 
						*
					FROM " . $this->get_db_table_prefix() . "article 
					WHERE _rec_status = \"SHOW\" 
					AND article_id=\"" . \U::safe_sql_string( $p_id ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);
		if($v_result && is_array($v_result)){
			foreach($v_result as $v_key=>$v_value){
				$v_result[$v_key]['_rec_modified_on'] = $this->co_db_root->__to_display_date($v_result[$v_key]['_rec_modified_on']);
			}
		}

		return $v_result;
	}

	
	public function article_list( $p_cond, $p_order=null, $p_start = null, $p_num_of_rec = null ){
	
		$v_where = '';
		if($p_cond != null){
			foreach($p_cond as $v_field=>$v_value){
				if($v_value!=''){
					$v_where .= ' AND ' . $v_field . ' LIKE "%' . \U::safe_sql_string( $v_value ) . '%"';
				}
			}
		}


		$v_order_by = '';
		if($p_order != null){
			foreach($p_order as $v_value){
				if($v_order_by == '') $v_order_by = ' ORDER BY '.\U::safe_sql_string( $v_value['order_by'] ).' '.\U::safe_sql_string( $v_value['sort_by'] );
				else $v_order_by .= ', ' . \U::safe_sql_string( $v_value['order_by'] ) . ' ' .\U::safe_sql_string( $v_value['sort_by'] );
			}
		}

	
		$v_limit = '';
		if($p_start !== null && $p_num_of_rec !== null){
			$v_limit = ' LIMIT ' . \U::safe_sql_string($p_start) . ', ' . \U::safe_sql_string($p_num_of_rec);
		}

		
		$v_query = 	"SELECT 
						*
					FROM " . $this->get_db_table_prefix() . "article
					WHERE _rec_status = \"SHOW\"
					" . $v_where . "
					" . $v_order_by . $v_limit;

		$v_result = $this->co_db_root->execute_query($v_query);
		if($v_result && is_array($v_result)){
			foreach($v_result as $v_key=>$v_value){
				$v_result[$v_key]['_rec_modified_on'] = $this->co_db_root->__to_display_date($v_result[$v_key]['_rec_modified_on']);
			}
		}

		return $v_result;
	}

	
	public function article_list_total($p_cond){
	
		$v_where = '';
		if($p_cond != null){
			foreach($p_cond as $v_field=>$v_value){
				if($v_value!=''){
					$v_where .= ' AND ' . $v_field . ' LIKE "%' . \U::safe_sql_string( $v_value ) . '%"';
				}
			}
		}

	
		$v_query = 	"SELECT 
						COUNT(article_id) as total_rec
					FROM " . $this->get_db_table_prefix() . "article
					WHERE _rec_status = \"SHOW\"
					" . $v_where;

		$v_result = $this->co_db_root->execute_query($v_query);

		return $v_result[0]['total_rec'];
	}


	public function home_add( $p_value ){
		$v_query = 	"INSERT INTO 
						" . $this->get_db_table_prefix() . "test(
							test_path

					)VALUE(
						\"" . \U::safe_sql_string( $p_value['test_path'] ) . "\"
					)";
		$v_result = $this->co_db_root->execute_query($v_query);
		return $this->co_db_root->get_last_insert_id();
	}

	
	public function article_edit( $p_value ){
		$v_query = 	"UPDATE 
					" . $this->get_db_table_prefix() . "article 
					SET
						article_title = \"" . \U::safe_sql_string( $p_value['article_title'] ) . "\",
						article_content = \"" . \U::safe_sql_string( $p_value['article_content'] ) . "\",
						_rec_modified_on = \"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\",
						_rec_modified_by = \"" . \U::safe_sql_string( $p_value['current_usr_id'] ) . "\"
					WHERE 
						article_id = \"" . \U::safe_sql_string( $p_value['article_id'] ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);
		return $v_result;
	}

	
	public function article_del( $p_value ){
		$v_query = 	"DELETE FROM 
						" . $this->get_db_table_prefix() . "article 
					WHERE 
						article_id = \"" . \U::safe_sql_string( $p_value['id'] ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);

		if($v_result){
			return true;
		}else{
			return false;
		}
	}
}
?>