<?php
namespace moonlight\dbazzar;

class dbazzar_merchant {
	private $co_db;

	public function __construct( $p_co_db ){
		$this->co_db = $p_co_db;
	}

	public function __destruct(){
		unset($this->co_db);
	}


	public function merchant_get( $p_id ){
		return $this->co_db->merchant_get( $p_id );
	}


	public function merchant_list($p_cond){
		return $this->co_db->merchant_list($p_cond);
	}


	public function merchant_category_get() {
		$v_curl = curl_init();
		curl_setopt_array($v_curl, 
			array(
				CURLOPT_URL => \E::get('obj_curr_module')->get_API_url() . 'getMerchantCategories',
				CURLOPT_RETURNTRANSFER => true,
				CURLOPT_ENCODING => '',
				CURLOPT_MAXREDIRS => 10,
				CURLOPT_TIMEOUT => 0,
				CURLOPT_FOLLOWLOCATION => true,
				CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
				CURLOPT_CUSTOMREQUEST => 'POST',
				CURLOPT_HTTPHEADER => array(
					\E::get('obj_curr_module')->get_authorization()
				),
			)
		);

		$v_response = curl_exec($v_curl);
		$v_result = json_decode($v_response, 1);
		curl_close($v_curl);

		return $v_result;
	}

	
	public function merchant_division_get() {
		$v_curl = curl_init();
		curl_setopt_array($v_curl, 
			array(
				CURLOPT_URL => \E::get('obj_curr_module')->get_API_url() . 'merchantDivisions',
				CURLOPT_RETURNTRANSFER => true,
				CURLOPT_ENCODING => '',
				CURLOPT_MAXREDIRS => 10,
				CURLOPT_TIMEOUT => 0,
				CURLOPT_FOLLOWLOCATION => true,
				CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
				CURLOPT_CUSTOMREQUEST => 'POST',
				CURLOPT_HTTPHEADER => array(
					\E::get('obj_curr_module')->get_authorization()
				),
			)
		);

		$v_response = curl_exec($v_curl);
		$v_result = json_decode($v_response, 1);
		curl_close($v_curl);

		return $v_result;
	}


	public function merchant_business_get() {

		$v_business_type = array(
			'Individual' => array(0, 1, 2, 3, 4, 5, 6),
			'Enterprise' => array(0, 1, 2, 3, 4, 5, 6, 9, 10, 11),
			'Private Limited' => array(0, 1, 2, 3, 4, 5, 6, 7, 8, 9)
		);
		return $v_business_type;
	}
	

	public function merchant_add( $p_value ){
		$p_value['current_usr_id'] = \E::get_session('usr_id');
		$p_value['current_datetime'] = \E::get( 'obj_curr_module')->__now();

		$v_id = $this->co_db->merchant_add( $p_value );

		return $v_id;
	}

	
	public function merchant_edit( $p_value ){
		$p_value['current_usr_id'] = \E::get_session('usr_id');
		$p_value['current_datetime'] = \E::get('obj_curr_module')->__now();
		return $this->co_db->merchant_edit( $p_value );
	}

	
	public function merchant_upload( $p_value, $p_cronjob = FALSE ){
		$v_curl = curl_init();
		
		if ( !$p_cronjob ){
			$p_value['affiliate_portal_admin_id'] = \E::get_session('usr_id');
		}else{
			$p_value['affiliate_portal_admin_id'] = $p_value['_rec_modified_by'];
		}

		curl_setopt_array($v_curl, 
			array(
				CURLOPT_URL => \E::get('obj_curr_module')->get_API_url() . 'merchantUploadInit',
				CURLOPT_RETURNTRANSFER => true,
				CURLOPT_ENCODING => '',
				CURLOPT_MAXREDIRS => 10,
				CURLOPT_TIMEOUT => 0,
				CURLOPT_FOLLOWLOCATION => true,
				CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
				CURLOPT_CUSTOMREQUEST => 'POST',
				CURLOPT_POSTFIELDS => '{
					"servicing_affiliate": "'. $p_value['affiliate_email'] . '",
					"affiliate_portal_admin_id": "' . $p_value['affiliate_portal_admin_id']. '",
					"affiliate_name": "' . $p_value['affiliate_name'] . '",
					"merchant_name": "' . $p_value['merchant_name'] . '",
					"merchant_phone": "' . $p_value['merchant_contact'] . '",
					"owner_director_name": "' . $p_value['merchant_owner'] . '",
					"merchant_state": "' . $p_value['merchant_division'] . '",
					"merchant_location": ['. $p_value['merchant_location'] .'],
					"category": ' . $p_value['merchant_category'] . ',
					"pre_order": '. $p_value['merchant_preorder'] . '
				}',
				CURLOPT_HTTPHEADER => array(
					\E::get('obj_curr_module')->get_authorization(),
					'Content-Type: application/json'
				)
			)
		);

		$v_response = curl_exec($v_curl);
		$v_response_code = curl_getinfo($v_curl, CURLINFO_RESPONSE_CODE);
		$v_result = json_decode($v_response, 1);
		curl_close($v_curl);

		$p_value['merchant_submit_response_code'] = $v_response_code;
		if ( $v_response_code != 200 ){
			$p_value['merchant_submit_msg'] = '{"error": "' . \E::get('obj_curr_module')->get_http_response_status($v_response_code) . '"}';
			$v_result['error'] = \E::get('obj_curr_module')->get_http_response_status($v_response_code);
		}else{
			$p_value['merchant_submit_msg'] = $v_response;
		}
		

		if ( !$p_cronjob ){
			$p_value['_rec_modified_by'] = \E::get_session('usr_id'); 
		}		
		$p_value['_rec_modified_on'] = \E::get( 'obj_curr_module')->__now();

		if ( isset($v_result['id']) ){
			$p_value['merchant_submit_id'] = $v_result['id'];
			$p_value['merchant_submit_status'] = 1;
		}else{
			$p_value['merchant_submit_status'] = 0;
		}
		$this->co_db->merchant_upload($p_value, $p_cronjob);

		return $v_result;
	}


	public function merchant_file_upload( $p_value, $p_cronjob = FALSE ){
		$v_curl = curl_init();
		
		$v_tempfile = array(
			'Application Form' => array(),
			'Logo' => array(),
			'Picture' => array(),
			'Menu' => array(),
			'Front IC' => array(),
			'Back IC' => array(),
			'Bank Statement' => array(),
			'Form9' => array(),
			'Form49' => array(),
			'License' => array(),
			'Company Registration' => array(),
			'Extract of Registration' => array()
		);

		$v_file_categories = array(
			'physical_merchant_application_form',
			'logo_outlet_picture',
			'food_product_service_picture',
			'menu_items_pictures',
			'front_copy_ic',
			'back_copy_ic',
			'bank_statement_header',
			'form_9_section17',
			'form_49_section_14_ssm_corporate_info',
			'trading_license',
			'company_reg',
			'extract_of_registration_business_name'
		);

		$v_request =  array(
			'affiliate_portal_admin_id' => ($p_cronjob == FALSE) ? \E::get_session('usr_id') : $p_value['_rec_modified_by'],
			'id' => $p_value['upload_id'],
		); 
	
		$v_att_list = \E::get('obj_curr_module')->attachment_get($p_value['merchant_id']);

		foreach($v_att_list as $v_att_item){
			$v_obj_setting['obj'] = \E::get('obj_curr_module');
			$v_file_id = $v_att_item['sftp_par_id'];
			$file = \A::attachment_get($v_obj_setting,$v_file_id, true, true, true);
			$filepath = curl_file_create($file['tmp_name'], $file['type'], $file['name']);
			array_push($v_tempfile[$v_att_item['att_category']], $filepath);
		}

	
		$v_tempfile = array_values($v_tempfile);

	
		for($counter = 0; $counter < count($v_file_categories); $counter++){
			$v_file_category = $v_tempfile[$counter];
			if ( sizeof($v_file_category) > 1 ){
				for( $counter2 = 0 ; $counter2 < count($v_file_category); $counter2++ ){
					$v_request[ $v_file_categories[$counter] . '[' . $counter2 . ']' ] = $v_file_category[$counter2];
				}
			}
			if ( sizeof($v_file_category) == 1 ){
				$v_request[$v_file_categories[$counter]] = $v_file_category[0];
			}
		}

		curl_setopt_array($v_curl, 
			array(
				CURLOPT_URL => \E::get('obj_curr_module')->get_API_url() . 'merchantUploadFiles',
				CURLOPT_RETURNTRANSFER => true,
				CURLOPT_ENCODING => '',
				CURLOPT_MAXREDIRS => 10,
				CURLOPT_TIMEOUT => 0,
				CURLOPT_FOLLOWLOCATION => true,
				CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
				CURLOPT_CUSTOMREQUEST => 'POST',
				CURLOPT_POSTFIELDS => $v_request,
				CURLOPT_HTTPHEADER => array(
					\E::get('obj_curr_module')->get_authorization(),
				),
			)
		);

		$v_response = curl_exec($v_curl);
		$v_response_code = curl_getinfo($v_curl, CURLINFO_RESPONSE_CODE);
		$v_result = json_decode($v_response, 1);
		curl_close($v_curl);

		$p_value['merchant_file_submit_response_code'] = $v_response_code;
		if ( $v_response_code != 200 ){
			$p_value['merchant_file_submit_msg'] = '{"error": "' . \E::get('obj_curr_module')->get_http_response_status($v_response_code) . '"}';
			$v_result['error'] = \E::get('obj_curr_module')->get_http_response_status($v_response_code);
		}else{
			$p_value['merchant_file_submit_msg'] = $v_response;
		}

		if ( !$p_cronjob ){
			$p_value['_rec_modified_by'] = \E::get_session('usr_id'); 
		}		
		$p_value['_rec_modified_on'] = \E::get( 'obj_curr_module')->__now(); 

		if ( isset($v_result['msg']) ){
			$p_value['merchant_status'] = 1; 
			$p_value['merchant_file_submit_status'] = 1;
		}else{
			$p_value['merchant_status'] = 3;
			$p_value['merchant_file_submit_status'] = 0;
		}

		$this->co_db->merchant_file_upload( $p_value, $p_cronjob );

		return $v_result;
	}


	public function merchant_file_categories_get(){
		$v_file_categories = [];
		
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_PHYSICAL_FORM_LABEL'));
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_LOGO_LABEL'));
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_PIC_LABEL'));
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_MENU_PIC_LABEL'));
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_FRONT_IC_LABEL'));
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_BACK_IC_LABEL'));
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_BANK_STATEMENT_LABEL'));
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_FORM9_LABEL'));
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_FORM49_LABEL'));
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_LICENSE_LABEL'));
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_REGISTER_CERT_LABEL'));
		array_push($v_file_categories, \E::get('obj_curr_module_lang')->get('MERCHANT_EXTRACT_REGISTER_LABEL'));

		return $v_file_categories;
	}


	public function merchant_file_get( $p_id){
		$v_tempfile = array(
			'Application Form' => array(),
			'Logo' => array(),
			'Picture' => array(),
			'Menu' => array(),
			'Front IC' => array(),
			'Back IC' => array(),
			'Bank Statement' => array(),
			'Form9' => array(),
			'Form49' => array(),
			'License' => array(),
			'Company Registration' => array(),
			'Extract of Registration' => array()
		);

		$v_att_list = \E::get('obj_curr_module')->attachment_get($p_id);

		if ( is_array($v_att_list) ){
			foreach($v_att_list as $v_att_item){
				$v_obj_setting['obj'] = \E::get('obj_curr_module');
				$v_file_id = $v_att_item['sftp_par_id'];
				$temp = array(
					'id' => $v_att_item['sftp_par_id'],
					'name' => $v_att_item['att_name'],
				);
				array_push($v_tempfile[$v_att_item['att_category']], $temp);
			}
		}
		return $v_tempfile;
	}
}
?>