<?php
namespace moonlight\dbazzar;

class dbazzar_merchant_mysql {
	private $co_db_root;

	public function __call($name, $arguments){
		$v_tmp_arr = explode("_", $name);
		$v_call_obj = $v_tmp_arr[0];
		if(isset($this->co_db_root)){
			return call_user_func_array(array($this->co_db_root, $name), $arguments);
		}
	}

	public function __construct( &$p_co_db ){
		$this->co_db_root = $p_co_db;
	}
	

	public function merchant_get( $p_id ){
	
		$v_query = 	"SELECT 
						*
					FROM " . $this->get_db_table_prefix() . "merchant 
					WHERE _rec_status = \"SHOW\" 
					AND merchant_status = 3
					AND merchant_id=\"" . \U::safe_sql_string( $p_id ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);
		if ( $v_result && is_array($v_result) ){
			foreach($v_result as $v_key=>$v_value){
				$v_result[$v_key]['_rec_created_on'] = $this->co_db_root->__to_display_date($v_result[$v_key]['_rec_created_on'],'DATE');
			}
		}

		return $v_result;
	}

	
	public function merchant_list($p_cond){
	
		$v_where = '';
		if ( $p_cond != NULL ){
			foreach($p_cond as $v_field=>$v_value){
				if ( $v_value!='' && $v_field != 'merchant_division' 
						&& $v_field != 'merchant_category' ){
					$v_where .= ' AND ' . $v_field . ' LIKE "%' . \U::safe_sql_string( $v_value ) . '%"';
				}
				if( $v_value!='' && ($v_field == 'merchant_division' || $v_field == 'merchant_category') ){
					$v_where .= ' AND ' . $v_field . '="' . \U::safe_sql_string( $v_value ) . '"';
				}
				
			}
		}
		
		$v_query = 	"SELECT 
						*
					FROM " . $this->get_db_table_prefix() . "merchant
					WHERE _rec_status = \"SHOW\"
					" . $v_where;
		
		$v_result = $this->co_db_root->execute_query($v_query);


		if ( $v_result && is_array($v_result) ){
			foreach($v_result as $v_key=>$v_value){
				$v_result[$v_key]['_rec_created_on'] = $this->co_db_root->__to_display_date($v_result[$v_key]['_rec_created_on'],'DATE');
			}
		}

		return $v_result;
	}

	
	public function merchant_add( $p_value ){
		$v_query = 	"INSERT INTO 
						" . $this->get_db_table_prefix() . "merchant(
						affiliate_email,
						affiliate_name,
						merchant_name,
						merchant_contact,
						merchant_owner,
						merchant_division,
						merchant_location,
						merchant_category,
						merchant_business,
						merchant_preorder,
						merchant_status,
						_rec_status,									
						_rec_created_by,
						_rec_created_on
					)VALUE(
						\"" . \U::safe_sql_string( $p_value['affiliate_email'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['affiliate_name'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['merchant_name'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['merchant_contact'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['merchant_owner'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['merchant_division'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['merchant_location'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['merchant_category'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['merchant_business'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['merchant_preorder'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['merchant_status'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['_rec_status'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['current_usr_id'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\"
					)";
		$v_result = $this->co_db_root->execute_query($v_query);

		return $this->co_db_root->get_last_insert_id();
	}



	public function merchant_edit( $p_value ){
		$v_query = 	"UPDATE 
					" . $this->get_db_table_prefix() . "merchant
					SET
						merchant_remark = \"" . \U::safe_sql_string( $p_value['merchant_remark'] ) . "\",
						admin_remark = \"" . \U::safe_sql_string( $p_value['admin_remark'] ) . "\",
						_rec_modified_on = \"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\",
						_rec_modified_by = \"" . \U::safe_sql_string( $p_value['current_usr_id'] ) . "\"
					WHERE 
						merchant_id = \"" . \U::safe_sql_string( $p_value['merchant_id'] ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);
		return $v_result;
	}

	
	public function merchant_upload( $p_value, $p_cronjob ){
		if ( !$p_cronjob ){
			$v_query = 	"UPDATE 
						" . $this->get_db_table_prefix() . "merchant
						SET
							merchant_submit_status = \"" . \U::safe_sql_string( $p_value['merchant_submit_status'] ) . "\",
							merchant_submit_response_code = \"" . \U::safe_sql_string( $p_value['merchant_submit_response_code'] ) . "\",
							merchant_submit_msg = \"" . \U::safe_sql_string( $p_value['merchant_submit_msg'] ) . "\",
							merchant_submit_id = \"" . \U::safe_sql_string( $p_value['merchant_submit_id'] ) . "\",
							_rec_modified_on = \"" . \U::safe_sql_string( $p_value['_rec_modified_on'] ) . "\",
							_rec_modified_by = \"" . \U::safe_sql_string( $p_value['_rec_modified_by'] ) . "\"
						WHERE 
							merchant_id = \"" . \U::safe_sql_string( $p_value['merchant_id'] ) . "\"
						";
		}else{
			$v_query = 	"UPDATE 
						" . $this->get_db_table_prefix() . "merchant
						SET
							merchant_submit_status = \"" . \U::safe_sql_string( $p_value['merchant_submit_status'] ) . "\",
							merchant_submit_response_code = \"" . \U::safe_sql_string( $p_value['merchant_submit_response_code'] ) . "\",
							merchant_submit_msg = \"" . \U::safe_sql_string( $p_value['merchant_submit_msg'] ) . "\",
							merchant_submit_id = \"" . \U::safe_sql_string( $p_value['merchant_submit_id'] ) . "\",
							_rec_modified_on = \"" . \U::safe_sql_string( $p_value['_rec_modified_on'] ) . "\"
						WHERE 
							merchant_id = \"" . \U::safe_sql_string( $p_value['merchant_id'] ) . "\"
						";
		}
		
		$v_result = $this->co_db_root->execute_query($v_query);
		return $v_result;
	}

	
	public function merchant_file_upload( $p_value, $p_cronjob ){
		if ( !$p_cronjob ){
			$v_query = 	"UPDATE 
						" . $this->get_db_table_prefix() . "merchant
						SET
							merchant_file_submit_status = \"" . \U::safe_sql_string( $p_value['merchant_file_submit_status'] ) . "\",
							merchant_file_submit_response_code = \"" . \U::safe_sql_string( $p_value['merchant_file_submit_response_code'] ) . "\",
							merchant_file_submit_msg= \"" . \U::safe_sql_string( $p_value['merchant_file_submit_msg'] ) . "\",
							merchant_status = \"" . \U::safe_sql_string( $p_value['merchant_status'] ) . "\",
							_rec_modified_on = \"" . \U::safe_sql_string( $p_value['_rec_modified_on'] ) . "\",
							_rec_modified_by = \"" . \U::safe_sql_string( $p_value['_rec_modified_by'] ) . "\"
						WHERE 
							merchant_id = \"" . \U::safe_sql_string( $p_value['merchant_id'] ) . "\"
						";
		}else{
			$v_query = 	"UPDATE 
						" . $this->get_db_table_prefix() . "merchant
						SET
							merchant_file_submit_status = \"" . \U::safe_sql_string( $p_value['merchant_file_submit_status'] ) . "\",
							merchant_file_submit_response_code = \"" . \U::safe_sql_string( $p_value['merchant_file_submit_response_code'] ) . "\",
							merchant_file_submit_msg= \"" . \U::safe_sql_string( $p_value['merchant_file_submit_msg'] ) . "\",
							merchant_status = \"" . \U::safe_sql_string( $p_value['merchant_status'] ) . "\",
							_rec_modified_on = \"" . \U::safe_sql_string( $p_value['_rec_modified_on'] ) . "\"
						WHERE 
							merchant_id = \"" . \U::safe_sql_string( $p_value['merchant_id'] ) . "\"
						";
		}
		$v_result = $this->co_db_root->execute_query($v_query);
		return $v_result;
	}
}
?>