<?php
namespace moonlight\dbazzar;

class dbazzar_my_entities_mysql {
	private $co_db_root;
	
	public function __call($name, $arguments){
		$v_tmp_arr = explode("_", $name);
		$v_call_obj = $v_tmp_arr[0];

		if(isset($this->co_db_root)){
			return call_user_func_array(array($this->co_db_root, $name), $arguments);
		}
	}

	public function __construct( &$p_co_db ){
		$this->co_db_root = $p_co_db;
	}


	public function my_entities_get( $p_id ){
	
		$v_query = 	"SELECT 
						*
					FROM " . $this->get_db_table_prefix() . "merchant 
					WHERE _rec_status = \"SHOW\" 
					AND merchant_id=\"" . \U::safe_sql_string( $p_id ) . "\"
					";

		$v_result = $this->co_db_root->execute_query($v_query);

		if($v_result && is_array($v_result)){
			foreach($v_result as $v_key=>$v_value){
				$v_result[$v_key]['_rec_created_on'] = $this->co_db_root->__to_display_date($v_result[$v_key]['_rec_created_on'],'DATE');
			}
		}

		return $v_result;
	}

	
	public function my_entities_list($p_cond_api, $p_cond, $p_order){
		$v_result = array();

		
		$api_name = 'myEntitiesList';
		$v_url = \E::get( 'obj_curr_module')-> get_API_url() . $api_name;
		$v_data = $p_cond_api; 
		$v_credential = \E::get( 'obj_curr_module')->get_authorization();
		$v_options = array	(	'http' 	=> array(	'header'  	=> "Content-type: application/x-www-form-urlencoded\r\n" . $v_credential,
													'method'  	=> 'POST',
													'content' 	=> http_build_query($v_data),
												),
							);

		$v_context  = stream_context_create($v_options);
		$v_list_json = file_get_contents($v_url, false, $v_context);
		$v_list = json_decode($v_list_json, true);


		$v_row_api = array();
		if($v_list){
			foreach ($v_list as $v_list_sub) {
				foreach ($v_list_sub as $key => $value) {
					$v_row_api['entity_id'] 				= "";
					$v_row_api['entity_name'] 				= ucfirst($value['entity_name']);
					$v_row_api['user_full_name'] 			= ucfirst($value['user_full_name']);
					$v_row_api['entity_branch_name'] 		= ucfirst($value['entity_branch_name']);
					$v_row_api['affiliate_assigned_date']	= $this->co_db_root->__to_display_date($value['affiliate_assigned_date']);
					$v_row_api['entity_branch_status'] 		= $value['entity_branch_status'];
					$v_row_api['admin_remark'] = NULL;
					$v_result[] = $v_row_api;
				}
			}
		}


		$v_where = '';
		if($p_cond != null){
			foreach($p_cond as $v_field=>$v_value){
				if($v_value!=''){
					$v_where .= ' AND ' . $v_field . ' LIKE "%' . \U::safe_sql_string( $v_value ) . '%"';
				}
			}
		}

		
		$v_query = 	"SELECT 
						merchant_id,
						merchant_name,
						affiliate_name,
						merchant_status,
						admin_remark
					FROM " . $this->get_db_table_prefix() . "merchant
					WHERE _rec_status = \"SHOW\"
					" . $v_where ;
		
		$v_list_db = $this->co_db_root->execute_query($v_query);


		$v_row_db = array();
		if($v_list_db){
			foreach ($v_list_db as $row) {
				$v_row_db['entity_id'] 					= $row['merchant_id'];
				$v_row_db['entity_name'] 				= ucfirst($row['merchant_name']);
				$v_row_db['user_full_name'] 			= ucfirst($row['affiliate_name']);
				$v_row_db['entity_branch_name'] 		= "";
				$v_row_db['affiliate_assigned_date']	= "";
				$v_row_db['entity_branch_status'] 		= $row['merchant_status'];
				$v_row_db['admin_remark'] = $row['admin_remark'];
				$v_result[] = $v_row_db;
			}
		}

	
		if($v_result){
			if($p_order != null){
				foreach($p_order as $v_value){
					$v_order_by = \U::safe_sql_string($v_value['order_by']);

					if($v_value['sort_by'] == 'ASC'){
						$v_sort_by = SORT_ASC;
					}else{
						$v_sort_by = SORT_DESC;
					}
				}	

				$column  = array_column($v_result, $v_order_by);
				array_multisort($column, $v_sort_by, $v_result);

			}else{
				$v_result = $v_result;
			}
		}else{
			$v_result = '';
		}

		return $v_result;
	}

	
	public function my_entities_edit( $p_value ){
		$v_query = 	"UPDATE 
					" . $this->get_db_table_prefix() . "merchant 
					SET admin_remark=NULL, 
					_rec_modified_on = \"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\",
					_rec_modified_by = \"" . \U::safe_sql_string( $p_value['current_usr_id'] ) . "\"
					WHERE merchant_id=\"". \U::safe_sql_string( $p_value['merchant_id'] ) ."\"";

		$v_result = $this->co_db_root->execute_query($v_query);

		return $v_result;
	}
}
?>