<?php
namespace moonlight\dbazzar;

class dbazzar_user_mysql {
	private $co_db_root;

	public function __call($name, $arguments){
		$v_tmp_arr = explode("_", $name);
		$v_call_obj = $v_tmp_arr[0];
		if(isset($this->co_db_root)){
			return call_user_func_array(array($this->co_db_root, $name), $arguments);
		}
	}

	public function __construct( &$p_co_db ){
		$this->co_db_root = $p_co_db;
	}

	public function user_acl_get( $p_value ){
		$v_cond ='';

		if(!empty($p_value['usr_id'])){
			$v_cond .=" AND usr_id=\"" . \U::safe_sql_string( $p_value['usr_id'] ) . "\" ";
		}
		
	
		$v_lang_info = \E::get('obj_curr_module')->get_lang();
		
		$v_query = "SELECT 
						*
					FROM " . $this->get_db_table_prefix() . "acl_user_group 
					WHERE _rec_status = \"SHOW\" 
					{$v_cond}
					";
		$v_result = $this->co_db_root->execute_query($v_query);
		return $v_result;
	}

	
	public function user_acl_list( $p_order = NULL, $p_start = NULL, $p_num_of_rec = NULL, $p_value = NULL ){
		
		$v_lang_info = \E::get('obj_curr_module')->get_lang();

		$v_cond = '';
	
		if(!empty($p_value['_rec_status'])){
			$v_cond .=" AND u._rec_status=\"" . \U::safe_sql_string( $p_value['_rec_status'] ) . "\" ";
		}

		
		if(!empty($p_value['group'])){
			$v_cond .=" AND u.group_id=\"" . \U::safe_sql_string( $p_value['group'] ) . "\" ";
		}

		if(!empty($p_value['search'])){
			$v_cond .=" AND u.usr_id IN (\"" . implode('","', $p_value['search']) . "\") ";
		}

		
		$v_order_by = '';
		if($p_order != NULL){
			foreach($p_order as $v_value){
				if($v_order_by == '') $v_order_by = ' ORDER BY '.\U::safe_sql_string($v_value['order_by']).' '.\U::safe_sql_string($v_value['sort_by']);
				else $v_order_by .= ', ' . \U::safe_sql_string($v_value['order_by']) . ' ' .\U::safe_sql_string($v_value['sort_by']);
			}
		}

		$v_limit = '';
		if($p_start !== NULL && $p_num_of_rec !== NULL){
			$v_limit = ' LIMIT ' . \U::safe_sql_string($p_start) . ', ' . \U::safe_sql_string($p_num_of_rec);
		}

	
		$v_query = 	"SELECT 
						usr_id,
						kwd_value,
						u._rec_modified_on
					FROM " . $this->get_db_table_prefix() . "acl_user_group u
					LEFT JOIN " . $this->get_db_table_prefix() . "acl_group_lbl l
					ON u.group_id = l.kwd_code
					WHERE u._rec_status = \"SHOW\"
					{$v_cond}
					AND l.kwd_lang=\"".$v_lang_info."\" " . $v_order_by . $v_limit;
					
		$v_result = $this->co_db_root->execute_query($v_query);
		if($v_result && is_array($v_result)){
			foreach($v_result as $v_key=>$v_value){
				$v_result[$v_key]['_rec_modified_on'] = $this->co_db_root->__to_display_date($v_result[$v_key]['_rec_modified_on']);
			}
		}

		return $v_result;
	}

	
	public function user_acl_list_total( $p_value ){
		
		$v_lang_info = \E::get('obj_curr_module')->get_lang();

		$v_cond = '';
		
		if(!empty($p_value['_rec_status'])){
			$v_cond .=" AND u._rec_status=\"" . \U::safe_sql_string( $p_value['_rec_status'] ) . "\" ";
		}

		if(!empty($p_value['group'])){
			$v_cond .=" AND u.group_id=\"" . \U::safe_sql_string( $p_value['group'] ) . "\" ";
		}

		
		$v_query = 	"SELECT 
							COUNT(kwd_code) AS 'total_rec'
					FROM " . $this->get_db_table_prefix() . "acl_group_lbl l
					LEFT JOIN " . $this->get_db_table_prefix() . "acl_user_group u
					ON u.group_id = l.kwd_code
					WHERE u._rec_status = \"SHOW\"
					{$v_cond}
					AND l.kwd_lang=\"".$v_lang_info."\" ";					

		$v_result = $this->co_db_root->execute_query($v_query);

		return $v_result[0]['total_rec'];
	}

	
	public function user_acl_add( $p_value ){
		$v_query = 	"REPLACE INTO 
					" . $this->get_db_table_prefix() . "acl_user_group(
						usr_id,
						group_id,
						usr_news_notification,
						_rec_created_on,
						_rec_created_by,
						_rec_modified_on,
						_rec_modified_by,
						_rec_status
					)VALUE(
						\"" . \U::safe_sql_string( $p_value['usr_id'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['usr_group'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['usr_news_notification'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['current_usr_id'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['current_usr_id'] ) . "\",
						\"" . \U::safe_sql_string( $p_value['_rec_status'] ) . "\"
					)";
		$v_result = $this->co_db_root->execute_query($v_query);
		return $this->co_db_root->get_last_insert_id();
	}

	
	public function user_acl_edit( $p_value ){
		$v_query = 	"UPDATE 
						" . $this->get_db_table_prefix() . "acl_user_group 
					SET
						group_id = \"" . \U::safe_sql_string( $p_value['usr_group'] ) . "\", 
						usr_news_notification = \"" . \U::safe_sql_string( $p_value['usr_news_notification'] ) . "\", 
						_rec_modified_on = \"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\",
						_rec_modified_by = \"" . \U::safe_sql_string( $p_value['current_usr_id'] ) . "\"
					WHERE 
						usr_id = \"" . \U::safe_sql_string( $p_value['id'] ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);
	}

	
	public function user_acl_soft_del( $p_value ){
		$v_query = 	"UPDATE 
						" . $this->get_db_table_prefix() . "acl_user_group 
					SET
						_rec_deleted_on = \"" . \U::safe_sql_string( $p_value['current_datetime'] ) . "\",
						_rec_deleted_by = \"" . \U::safe_sql_string( $p_value['current_usr_id'] ) . "\",
						_rec_status = \"DELETED\"
					WHERE 
						usr_id = \"" . \U::safe_sql_string( $p_value['id'] ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);

		if($v_result){
			return TRUE;
		}else{
			return FALSE;
		}
	}

	
	public function user_acl_hard_del( $p_value ){
		$v_query = 	"DELETE FROM 
						" . $this->get_db_table_prefix() . "acl_user_group 
					WHERE 
						usr_id = \"" . \U::safe_sql_string( $p_value['id'] ) . "\"
					";
		$v_result = $this->co_db_root->execute_query($v_query);

		if($v_result){
			return TRUE;
		}else{
			return FALSE;
		}
	}
}
?>