

<div class="container">
	<br/>
	<h3 class="text-center font-weight-bold"><?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_FORM') ?></h3>
	<br/>
	
	<form id="frm_merchant" name="frm_merchant" autocomplete="off" method="post" enctype="multipart/form-data">
		<div class="form-row justify-content-center">
			<div class="form-group col-md-8">
				<label class="d-block text-danger font-weight-bold">
					* Required Field
				</label>
			</div>
		</div>
		<div class="form-row justify-content-center">
	
			<div class="form-group col-md-8">
				<label class="d-block h5 font-weight-normal">
					Your Email Address (Servicing Affiliate)
				</label>
				<input class="form-control form-control-lg text compulsory" 
					name="affiliate_email" 
					id="affiliate_email" 
					type="email"
					value="<?php echo \U::safe_display_string(isset($v_affiliate_email) ? $v_affiliate_email : "");?>"
					readonly
					required />
			</div>

	
			<div class="form-group col-md-8">
				<label class="d-block h5 font-weight-normal">
					Affiliate's Name
				</label>
				<input class="form-control form-control-lg text compulsory" 
					name="affiliate_name" 
					id="affiliate_name" 
					type="text"
					value="<?php echo \U::safe_display_string(isset($v_affiliate_name) ? $v_affiliate_name : "");?>"
					readonly
					required />
			</div>

		
			<div class="form-group col-md-8 required">
				<label class="d-block h5 font-weight-normal">
				Merchant Name
				</label>
				<input class="form-control form-control-lg text compulsory" 
					name="merchant_name" 
					id="merchant_name" 
					type="text"
					value="<?php echo \U::safe_display_string(isset($v_merchant_name) ? $v_merchant_name : "");?>"
					required />
			</div>

		
			<div class="form-group col-md-8 required">
				<label class="d-block h5 font-weight-normal">
					Merchant Category
				</label>
				<select class="form-control form-control-lg select_tag" 
					id="merchant_category" 
					name="merchant_category" 
					required >
					<option disabled hidden selected value = ""></option>
					<?php
						if($v_category_list && is_array($v_category_list) && !empty($v_category_list)){
							foreach($v_category_list as $v_row){
								echo '<option value="' . \U::safe_display_string($v_row['id']) . '">';
								echo \U::safe_display_string($v_row['name']);
								echo '</option>'; 
							}
						}
					?>
				</select>	
			</div>

			
			<div class="form-group col-md-8 required">
				<label class="d-block h5 font-weight-normal">
				Merchant Phone No.
				</label>
				<input class="form-control form-control-lg text compulsory" 
					name="merchant_contact" 
					id="merchant_contact" 
					value="<?php echo \U::safe_display_string(isset($v_merchant_contact) ? $v_merchant_contact : "");?>"
					pattern="[0-9]{3}-[0-9]{6,8}"
					oninvalid = "this.setCustomValidity('Please fill with the correct format: 012-3456789');"
					placeholder= "e.g. 012-3456789"
					required />
			</div>

		
			<div class="form-group col-md-8 required">
				<label class="d-block h5 font-weight-normal">
					Owner/Director's Name
				</label>
				<input class="form-control form-control-lg text compulsory" 
					name="merchant_owner" 
					id="merchant_owner" 
					type="text"
					value="<?php echo \U::safe_display_string(isset($v_merchant_owner) ? $v_merchant_owner : "");?>"
					required />
			</div>

			
			<div class="form-group col-md-8 required">
				<label class="d-block h5 font-weight-normal">
					Merchant Business Type
				</label>
				<select class="form-control form-control-lg select_tag"
					id="merchant_business_type"
					name="merchant_business_type"
					onchange="javascript:  onChangeBusinessType(this);"
					required>
					<option disabled hidden selected value = ""></option>
					<?php
						if($v_business_type && is_array($v_business_type) && !empty($v_business_type)){
							foreach($v_business_type as $v_key => $value){
								echo '<option value="' . json_encode($value) . '">';
								echo \U::safe_display_string($v_key);
								echo '</option>';
							}
						}
					?>
				</select>
				<input name="merchant_business" id="merchant_business" type="text" hidden />
			</div>

		
			<div class="form-group col-md-8 required">
				<label class="d-block h5 font-weight-normal">
					Merchant Division
				</label>
				<select class="form-control form-control-lg select_tag" 
					id="merchant_division" 
					name="merchant_division" 
					onchange="javascript: onChangeDivision();" 
					required >
					<option disabled hidden selected value = ""></option>
					<?php
						if ( $v_division_list && is_array($v_division_list) && !empty($v_division_list) ){
							foreach($v_division_list as $v_row){
								echo '<option value="' . \U::safe_display_string($v_row['id']) . '">';
								echo \U::safe_display_string($v_row['name']);
								echo '</option>'; 
							}
							echo '<input id="merchant_division_list" value="';
							echo \U::safe_display_string(json_encode($v_division_list)) . '" hidden/>';
						}
					?>
				</select>				
			</div>

		
			<div class="form-group col-md-8 required">
				<label class="d-block h5 font-weight-normal">
					Merchant Pre-Order
				</label>
				<select class="form-control form-control-lg select_tag" 
						id="merchant_preorder" 
						name="merchant_preorder" 
						required >
					<option disabled hidden selected value = ""></option>
					<option value="1">Yes</option>
					<option value="0">No</option>
				</select>				
			</div>
		
			
			<div class="form-group col-md-8 mb-5">
				<label class="d-block h5 font-weight-normal">
					<?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_LOCATION_LABEL') ?>
				</label>
				<input type="text"
					name="merchant_location" id="merchant_location" 
					value="<?php echo \U::safe_display_string(isset($v_merchant_location) ? $v_merchant_location : "");?>" 
					hidden/>
				<label class="d-none" id="location_display"></label>
				<label class="d-none p text-danger" id="lbl_location_err">
					<?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_REQUIRED_LOCATION_ERROR') ?>
				</label>
				<button class="btn btn-lg bg-white shadow" 
						id="location_picker" 
						type="button" 
						data-lat='' 
						data-lng=''
						data-north=''
						data-south=''
						data-west=''
						data-east=''
						onclick="javascript: openMap();" >
					<i class="fa fa-map" aria-hidden="true"></i>&emsp;Locate on Google Maps
				</button>
			</div>

			
			<?php
				if ( $v_file_category_list && is_array($v_file_category_list) ){
					for( $count = 0; $count < count($v_file_category_list); $count ++ ){
						echo '<div id="div_attachment_' . $count . '" class="form-group col-md-8 mb-5 d-none">';
						echo '<label class="d-block h5 font-weight-normal">';
						echo $v_file_category_list[$count];
						echo '</label>';
						echo '<table class="d-none table table-sm table-striped" id="table_file' . ($count+1) . '"></table>';
						echo '<label class="d-none p text-danger" id="lbl_file_err' . ($count+1) . '">';
						echo \E::get('obj_curr_module_lang')->get('MERCHANT_REQUIRED_ERROR');
						echo '</label>';
						echo '<button class="btn btn-lg bg-white shadow" type="button" data-toggle="modal" data-target="#modal_form" data-id="' . ($count+1) . '">';
						echo '<i class="fa fa-upload" aria-hidden="true"></i>&emsp;Add File';
						echo '</button>';
						echo '</div>';
						echo '<input type="file" name="file_upload_' . ($count+1) . '[]" id="file_upload_' . ($count+1) . '" hidden>';
					}
				}
			?>

			
			<div class="form-group col-md-8">
				<p class="d-block text-center">
					<?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_AGREE_SUBMIT_TEXT') ?>
				</p>
			</div>

			
			<div class="form-group col-md-6 text-center">
				<button class="btn btn-lg btn-block btn-success" type="button" onclick="javascript: validation_check();">
					<?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_SUBMIT') ?>
				</button>
				<button id="btn_upload" type="submit" hidden></button>
			</div>
		</div>
	</form>
	
</div>


<div class="modal fade" id="map_modal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	<div class="modal-dialog modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
			<h4 class="modal-title" id="myModalLabel">Google Maps</h4>
				<button id="btn_map" type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
				
			</div>
			<div class="modal-body">
				<div class="row my-2">
					<div class="col-md-12 modal_body_content">
						<div class="d-flex">
							<input type="text" id="address" class="form-control form-control-lg mr-3"/>
							<span id="search_btn" class="fa fa-search fa-2x icon-search"></span>
						</div>
						<input type="hidden" id="latitude"/>
						<input type="hidden" id="longitude"/>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12 modal_body_map">
						<div class="location-map" id="location-map">
							<div style="height: 400px;" id="map_canvas"></div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="modal fade" id="modal_form" data-backdrop="static" tabindex="-1" role="dialog">
	<div class="modal-dialog modal-dialog-centered" role="document">
		<div class="modal-content shadow-lg">
			<div class="modal-header border-0">
				<h5 class="modal-title"><?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_FILE_MODAL_HEADER') ?></h5>
			</div>
			<div class="modal-body">
				<div class="drop-area w-100">
					<span id="span_title" class="h3 text-secondary font-weight-normal">
						<?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_FILE_MODAL_BODY') ?>
					</span>
					<br/>
					<span id="span_or" class="h6 text-secondary">or</span>
					<input type="file"
						name="file_input[]" 
						id="hidden_file" 
						class="drop-area_input" 
						accept="image/png, image/jpeg, .pdf" 
						hidden >
					<input type="file" name="tmp_file" id="tmp_hidden_file" accept="image/png, image/jpeg, .pdf" multiple hidden>
					<input id="hidden_id" name="hidden_id" type="text" hidden>
				</div>

				<div class="d-flex justify-content-center my-3">
					<button type="button" 
						id="btn_file" 
						class="btn btn-block bg-transparent shadow w-50" 
						onclick="javascript:pick_file();">
						<?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_FILE_MODAL_BROWSE') ?>
					</button>
				</div>

				<div class="row">
					<div class="col text-right">
						<button type="button" 
							id="btn_file_upload" 
							class="btn bg-danger text-white shadow" 
							data-dismiss="modal" 
							onclick="javascript:upload_file();">
							<?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_FILE_MODAL_UPLOAD') ?>
						</button>
					</div>
					<div class="col text-left">
						<button type="button" 
							class="btn bg-light shadow" 
							data-dismiss="modal" 
							onclick="javascript:clear_upload();">
							<?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_FILE_MODAL_CANCEL') ?>
						</button>
					</div>
				</div>	
			</div>
		</div>
	</div>
</div>


<div class="modal fade" id="modal_loading" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog">
	<div class="modal-dialog modal-dialog-centered" role="document">
		<div class="modal-content shadow-lg">
			<div class="modal-header border-0 justify-content-center">
				<h4 class="modal-title">Submission in Process ...</h4>
			</div>
			<div class="modal-body text-center mb-2">
				<div class="spinner-border" style="width: 3rem; height: 3rem;" role="status">
					<span class="sr-only">Loading...</span>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="modal fade" id="modal_submit" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog">
	<div class="modal-dialog modal-dialog-centered" role="document">
		<div class="modal-content shadow-lg">
			<div class="modal-header border-0 justify-content-center">
				<h4 class="modal-title">
					<?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_SUCCESS_SUBMIT_HEADER') ?>
				</h4>
			</div>
			<div class="modal-body text-center">
				<img src="<?php echo \E::get('obj_curr_module')->get_image_file('submission.png') ?>" 
					class="img-fluid" 
					alt="Submission image">
				<p class="d-block">
					<?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_SUCCESS_SUBMIT_BODY') ?>
				</p>
			</div>
		</div>
	</div>
</div>

<?PHP
	\I::load_error();
?>