
<div class="main">	
	<h5 class="font-weight-bold text-center"><?php echo \E::get('obj_curr_module_lang')->get('MY_ENTITIES'); ?></h5>
	<br/>	

	
	<div class="row justify-content-center">
		<div class="form-group has-search">
			<span class="fa fa-search fa-md form-control-feedback span-search"></span>
			<input type="text" class="form-control input-search" name="my_entities_search" id="my_entities_search" 
				onkeyup="myFunction()" placeholder="Search">
		</div>
	</div>


	<div class="row justify-content-center">
		<div class="search-list" id="div_listing_area"></div>
	</div>


	<div class="modal fade" id="edit_modal" tabindex="-1" role="dialog" aria-labelledby="edit_modal_title" aria-hidden="true">
		<div class="modal-dialog" role="document">
			<div class="modal-content">
					<div id="div_edit_area"></div>
			</div>
		</div>
	</div>

	<div class="modal fade" id="submitted_modal" aria-labelledby="submitted_modal_label" aria-hidden="true" tabindex="-1" role="dialog"> 
		<div class="modal-dialog modal-dialog-centered" role="document">
			<div class="modal-content shadow-lg">
				<div class="modal-header border-0 justify-content-center">
					<h4 class="modal-title"><?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_SUCCESS_SUBMIT_HEADER') ?></h4>
				</div>
				<div class="modal-body text-center">
					<img src="<?php echo \E::get('obj_curr_module')->get_image_file('submission.png') ?>" class="img-fluid" alt="Submission image">
					<p class="d-block">
						<?php echo \E::get('obj_curr_module_lang')->get('MERCHANT_SUCCESS_SUBMIT_BODY') ?>
					</p>
				</div>
			</div>
		</div>
	</div>

	<script language="javascript">
		var v_list_url = '<?php echo \E::get( 'obj_curr_module')->build_action_path('my_entities','list_ajax'); ?>';
		var v_cookie_name = "<?php echo \U::generateUniqueCookieName(MOONLIGHT_DNS_PATH.MOONLIGHT_FOLDER_PATH); ?>_admin_list_my_entities";

		$(document).ready(	
			function(){
				v_url = getLocalStorage( v_cookie_name );
				rec_list(v_url);

				$("#my_entities_search").on("keyup", function () {
					var value = $(this).val().toLowerCase();
					$("#my_entities_table tr").filter(function () {
						$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
					});
				});
			}
		)

		function rec_list(p_url){
			if (p_url == ''){
				p_url = v_list_url;
			}

			makeGETRequest( p_url, 'div_listing_area' );

			vTodaysDate = new Date();
			vTodaysDate.setDate(62);
			vExpire = vTodaysDate.toGMTString();
			setLocalStorage(v_cookie_name,p_url,vExpire);
		}

		function rec_edit(p_url){
			event.preventDefault();
			$("#edit_modal").modal('show');
			makeGETRequest( p_url, 'div_edit_area' );
		}
		
		function modal_open(p_id){
			var v_id = $(p_id).attr("data-name");

			$("#btn_upload").attr("data-name", v_id);

			var clone = $('#'+v_id).clone();
			clone.attr('id', 'default');
			$('#input_default').html(clone);
			$("#default").attr("data-name","default");
			$("#default").attr("temp-id",v_id);

			var v_file_ext = $("#default").attr("accept");
			$("#temp").attr("accept",v_file_ext);

			const v_file = document.getElementById('default');
			const v_length = v_file.files.length;
			
			if(v_length > 0){
				file_details(v_file);
			}else{
				$("#file_info_default").hide();   
				$("#file_empty").show(); 
				document.getElementById("btn_upload").disabled = true;
			}

			file_count(v_id,v_length);
		}

		function file_count(p_id,p_length){
			var v_file_count = document.getElementById("file_count");
			var v_limit = 1;
			var v_error = "";

			if(p_id=='2'||p_id=='3'){
				v_limit = 2;
			}else if(p_id=='4'){
				v_limit = 10;
			}else{
				v_limit = v_limit;
			}

			if(p_length>v_limit){
				v_error = "<small style='font-size:10px;'>  Exceed maximum number of files<small>";
				$("#add_more").hide(); 
			}else if(p_length<v_limit){
				$("#add_more").show(); 
			}else{
				$("#add_more").hide(); 
			}

			v_file_count.innerHTML = "(" + p_length + "/" + v_limit + ")" + v_error;
		}

		function file_details(p_id){
			var v_id = $(p_id).attr("data-name");
			const v_file = document.getElementById(v_id);
			const v_length = v_file.files.length;
			var v_file_ext = $(p_id).attr("accept");
			var v_temp_id = $("#default").attr("temp-id");

			file_count(v_temp_id,v_length);
			var v_file_empty = file_empty();

			if(v_file_empty==true){
				document.getElementById("btn_submit").disabled = true;
			}else{
				document.getElementById("btn_submit").disabled = false;
			}

			if(v_length > 0){
				$("#file_info_"+v_id).show();   
				$("#file_empty").hide(); 

				let v_file_table = document.getElementById('table_file_'+v_id);
				v_file_table.innerHTML = "";
				const dt = new DataTransfer();
				
				document.getElementById("btn_upload").disabled = false;

				let tbody = document.createElement('tbody');
				for(let i = 0;i<v_length;i++){
					dt.items.add(v_file.files[i]);

					let tr = document.createElement('tr');
					
					let td = document.createElement('td');
					td.className = "pl-3";
					td.width = "289px";
					td.innerHTML = v_file.files[i].name;
					tr.appendChild(td);

					
					if(v_file_ext==undefined){
						v_file_ext = $("#default").attr("accept");
					}

					var v_valid_file_type = valid_file_type(v_file_ext, v_file.files[i].type);

		
					var v_valid_file_size = convert_size(v_file.files[i].size);

					if(v_valid_file_type == false){
						var v_invalid = document.getElementById("lbl_invalid");
						
						td = document.createElement('td');
						td.className = "text-danger";
						td.style.cssText = "font-size:7px";
						td.width = "130px";
						td.innerHTML = "Invalid file type!";
						tr.appendChild(td);
						
						document.getElementById("btn_upload").disabled = true;
					}else{
						td = document.createElement('td');
						if(v_file.files[i].type.split('/')[1] === 'pdf'){
							if(v_file.files[i].size > 614400){
								td.className = "text-danger";
								td.style.cssText = "font-size:7px";
								td.width = "130px";
								td.innerHTML = "File size must not exceed 3MB";
								document.getElementById("btn_upload").disabled = true;
							}else{
								td.width = "130px";
								td.innerHTML = "";
							}
						}else if(v_file.files[i].type.split('/')[0] === 'image'){
							if(v_file.files[i].size > 614400){
								td.className = "text-danger";
								td.style.cssText = "font-size:7px";
								td.width = "130px";
								td.innerHTML = "Image size must not exceed 600KB";
								document.getElementById("btn_upload").disabled = true;
							}else{
								td.width = "130px";
								td.innerHTML = "";
							}
						}else{
							td.width = "130px";
							td.innerHTML = "";
						}

						tr.appendChild(td);
					}

					td = document.createElement('td');
					td.width = "50px";
					td.innerHTML = v_valid_file_size;
					tr.appendChild(td);
						
					td = document.createElement('td');
					td.width = "25px";
					td.className = "pr-3";
					td.innerHTML = '<button type="button" class="close" id="btn_close" data-name="' + v_id + '" onClick="javascript:file_remove(this,' + i + ')">&times;</button>';
					tr.appendChild(td);

					tbody.appendChild(tr);

					if(((v_temp_id=='2'||v_temp_id=='3') && (i>1)) || (v_temp_id=='4') && (i>9)){
						document.getElementById("btn_upload").disabled = true;
					}else if((v_temp_id!='2'&&v_temp_id!='3'&&v_temp_id!='4') && (i>0)){
						document.getElementById("btn_upload").disabled = true;
					}
				}

				v_file_table.appendChild(tbody);
				v_file_storage.files = dt.files; 			
			}
			else
			{
				let v_file_table = document.getElementById('table_file_'+v_id);
				v_file_table.innerHTML = "";

				$("#file_info_"+v_id).hide();  
				$("#file_info_default").hide();   
				$("#file_empty").show(); 
				$("#btn_upload").prop('disabled', true); 
			}
		}

		function valid_file_type(p_file_ext, p_type) {
			if(p_file_ext!=undefined){
				var v_file_types = p_file_ext.split(',');

				for(var i in v_file_types) {
					if(p_type === v_file_types[i]) {
						return true;
					}
				}
				return false;
			}
		}
		
		function convert_size(p_size) {
			var sizes = ['Bytes', 'KB', 'MB', 'GB', 'TB'];
			if (p_size == 0) return '0 Byte';
			var i = parseInt(Math.floor(Math.log(p_size) / Math.log(1024)));
			return Math.round(p_size / Math.pow(1024, i), 2) + ' ' + sizes[i];
		}

		function file_upload(p_id){
			var v_id = $(p_id).attr("data-name");
			
			var clone_input = $('#default').clone();
			clone_input.attr('id', v_id);
			clone_input.attr('data-name', v_id);
			$('#input_'+v_id).html(clone_input);

			$("#upload_modal").modal('hide');			
			
			file_details(p_id);
		}

		function file_cancel(){
			$("#upload_modal").modal('hide');
		}

		function file_remove(p_id, p_index){
			var v_id = $(p_id).attr("data-name");			
			const dt = new DataTransfer();
			let v_file_storage = document.getElementById(v_id);

			const {files} = v_file_storage;
			
			for(let i = 0; i<files.length; i++){
				const file = files[i];
				if(i !== p_index){
					dt.items.add(file);
				}
			}
			v_file_storage.files = dt.files;
	
			file_details(p_id);
		}

		function add_more(){
			var v_id = $("#default").attr("data-name");			
			const dt = new DataTransfer();

			let v_file_storage = document.getElementById(v_id);
			const {files} = v_file_storage;
			for(let i = 0; i<files.length; i++){
				const file = files[i];
				dt.items.add(file);
			}

			let v_file_temp = document.getElementById('temp');
			for(let j = 0; j<v_file_temp.files.length; j++){
				const file = v_file_temp.files[j];
				dt.items.add(file);
			}

			v_file_storage.files = dt.files;

			var p_id = 	document.getElementById("default");
			file_details(p_id);
		}


		function file_submitted(){
			$("#edit_modal").modal('hide');
			$( "#frm_merchant" ).submit();
			$("#submitted_modal").modal('show');
		}

		function allow_drop(event) {
			$("#lbl_default").hide(); 
			event.preventDefault();
		}

		function cancel_drop(event) {
			$("#lbl_default").show(); 
			event.preventDefault();
		}

		function drop(event) {
			event.preventDefault();	
			$("#lbl_default").show(); 

			var v_id = $("#default").attr("data-name");			
			const dt = event.dataTransfer;

			let v_file_storage = document.getElementById(v_id);
			const {files} = v_file_storage;
			for(let i = 0; i<files.length; i++){
				const file = files[i];
				dt.items.add(file);
			}

			let v_file_temp = document.getElementById('temp');
			for(let j = 0; j<v_file_temp.files.length; j++){
				const file = v_file_temp.files[j];
				dt.items.add(file);
			}

			v_file_storage.files = dt.files;

			var p_id = 	document.getElementById("default");
			file_details(p_id);			
		}

		function file_empty(){
			var v_check = 0;
			
			var v_required_document = JSON.parse(document.getElementById("required_document").value);
			for(let i=0;i<v_required_document.length;i++){
				const file = document.getElementById(v_required_document[i]);

				if(file.files.length<1){
					v_check = 1;
				}
			}

			if(v_check==1){
				return true;
			}else{
				return false;
			}
		}
	</script>
</div>