
<?php
	
	$v_access = \E::get('obj_curr_module')->get_right_to_access('affiliate');
	$v_profile = \E::get_session( 'profile' );

	if ( !$v_access || !isset($v_profile['id']) ){
		\V::append_data( 'body', \V::load_view( $this->get_view_file_path( 'msg_not_authorised', 'share' ), $v_object ));
		\V::output_view();
		exit;
	}

	$v_error = [];
	$v_success = null;
	
	if ( $_SERVER[ 'REQUEST_METHOD' ] == 'POST' ){
		foreach($_POST as $v_key => $v_value){
			$_POST[$v_key] = trim($v_value);
		}

		$v_update['user_id'] = $v_profile['id'];
		$v_update['session_id'] = $v_profile['session_id'];
		$v_update['affiliate_bank'] = isset($_REQUEST['affiliate_bank']) ?  $_REQUEST['affiliate_bank'] : "";
		$v_update['affiliate_bank_no'] = $_REQUEST['affiliate_bank_no'];
		$v_update['affiliate_password'] = $_REQUEST['password1'];
		$v_update['affiliate_confirm_password'] = $_REQUEST['password2'];
		
		$v_success  = \E::get('obj_curr_module')->profile_update($v_update);
	
		if ( array_key_exists("error", $v_success) ){
			array_push($v_error, $v_success['error']);
			$v_success = NULL;
		}else{
			$v_success = $v_success['msg'];
			$v_profile['data']['bank_name'] = $v_update['affiliate_bank'];
			$v_profile['data']['bank_account'] = $v_update['affiliate_bank_no'];
			\E::set_session('profile', $v_profile);
		}
		unset($v_update);
	}




	$v_curr_date = new DateTime();
	$v_date_list = [];

	for ( $v_day = 1; $v_day <= 7; $v_day ++ ){
	
		if ( $v_day == 7 ){
			$v_day = 0;
			$v_curr_date->setISODate($v_curr_date->format('o'), $v_curr_date->format('W'), $v_day);
			array_unshift($v_date_list, $v_curr_date->format('Y-m-d'));
			$v_day = 7; 
		}else{
			$v_curr_date->setISODate($v_curr_date->format('o'), $v_curr_date->format('W'), $v_day);
			$v_date_list[$v_day] = $v_curr_date->format('Y-m-d');
		}
	}

	$v_ewallet = \E::get('obj_curr_module')->profile_ewallet_get($v_profile['id'], $v_profile['session_id']);
	$v_earnings_list = array(0,0,0,0,0,0,0);
	$v_payment_month_list = array();

	if ( array_key_exists('error', $v_ewallet) ){	
		array_push($v_error,$v_ewallet['error']);
	}
	
	if ( array_key_exists( 'ewallet', $v_ewallet ) ){
		foreach($v_ewallet['ewallet'] as $v_record){
			$v_record['created_at'] = new DateTime($v_record['created_at']);
	
			foreach($v_date_list as $v_key => $v_day){
				
				if ( $v_day == $v_record['created_at']->format('Y-m-d') ){
					if ( $v_record['type'] == 'DEBIT' ){
						$v_earnings_list[$v_key] = $v_earnings_list[$v_key] - $v_record['amount'];
					}else{
						$v_earnings_list[$v_key] = $v_earnings_list[$v_key] + $v_record['amount'];
					}
				}
			}
			$v_date_string = $v_record['created_at']->format('M Y');
			if ( !in_array($v_date_string, $v_payment_month_list) ){
				array_push($v_payment_month_list, $v_date_string);
			}
		}
	}

	$v_bank_list = [];
	$v_bank_record = \E::get('obj_curr_module')->profile_banklist_get($v_profile['session_id']);
	if ( $v_bank_record['status'] == 'success' ){
		$v_bank_list = $v_bank_record['banks'];
	}else{
		array_push($v_error, $v_bank_record['error']);
	}

	$v_var = array(
		'name' => $v_profile['name'],
		'full_name' => $v_profile['name'],
		'img' => $v_profile['profile_picture'],
		'affiliate_tier' => $v_profile['affiliate_type']['name'] . ' Affiliate',
		'refer_code' => $v_profile['email'],
		'refer_link' => $v_profile['referral_link'],
		'qr_code'=>  \U::generate_qrcode($v_profile['referral_link'], '', 'Q', 3, 2, TRUE),
		'earnings' => json_encode($v_earnings_list),
		'payment_month' => $v_payment_month_list,
		'bank_list' => $v_bank_list,
		'affiliate_bank' => isset($v_profile['data']['bank_name']) ? $v_profile['data']['bank_name'] : NULL,
		'affiliate_bank_no' => isset($v_profile['data']['bank_account']) ? $v_profile['data']['bank_account'] : NULL,
		'error' => $v_error,
		'success' => $v_success
	);
	
	
	\V::append_data( 'header', \V::load_view( MODULE_PLUGIN_PATH . 'toastr/moonlight_init.php' ) );
	\V::append_data( 'header', \V::load_view( MODULE_PLUGIN_PATH . 'sweetalert2-11.4.0/moonlight_init.php' ) );
	\V::append_data( 'header', \V::load_view( MOONLIGHT_PLUGIN_PATH . 'Chart.js-2.7.1/moonlight_init.php', $v_object, $v_var ) );
	\V::append_data( 'body', \V::load_view( $this->get_view_file_path(), $v_object, $v_var ) );
	\V::output_view();
?>

<script language='javascript'>
	var active;
	$( document ).ready(function(){
		result = JSON.parse( document.getElementById( 'earnings' ).value );
		load_chart( result );
		active = true;
	})

	$( '#div_refer_code' ).click(function(){
		toastr.options = {
			"closeButton": false,
			"debug": false,
			"newestOnTop": false,
			"progressBar": false,
			"positionClass": "toast-bottom-right",
			"preventDuplicates": false,
			"onclick": null,
			"showDuration": "300",
			"hideDuration": "1000",
			"timeOut": "5000",
			"extendedTimeOut": "1000",
			"showEasing": "swing",
			"hideEasing": "linear",
			"showMethod": "fadeIn",
			"hideMethod": "fadeOut"
		};
		toastr.success( 'Reference Code copied' );
		navigator.clipboard.writeText( document.getElementById( 'lbl_refer_code' ).textContent );
	});

	$( '#div_refer_link' ).click(function(){	
		toastr.options = {
			"closeButton": false,
			"debug": false,
			"newestOnTop": false,
			"progressBar": false,
			"positionClass": "toast-bottom-right",
			"preventDuplicates": false,
			"onclick": null,
			"showDuration": "300",
			"hideDuration": "1000",
			"timeOut": "5000",
			"extendedTimeOut": "1000",
			"showEasing": "swing",
			"hideEasing": "linear",
			"showMethod": "fadeIn",
			"hideMethod": "fadeOut"
		};
		toastr.success( 'Reference Link copied' );
		navigator.clipboard.writeText( document.getElementById( 'lbl_refer_link' ).textContent );
	});

	
	$('#btn_edit').click(function(){
		if(active){
			$('#frm_edit_profile').submit();
			active = false;
		}
	})

	function copy_refer_code(){
		navigator.clipboard.writeText( document.getElementById( 'lbl_refer_code' ).textContent );
	}
	
	function copy_refer_link(){
		navigator.clipboard.writeText( document.getElementById( 'lbl_refer_link' ).textContent );
	}

	function load_chart( p_data ){
		
		let v_earnings = p_data;
		let v_chart = document.getElementById( 'earns_chart' ).getContext( '2d' );
		let v_gradient = v_chart.createLinearGradient( 0, 0, 0, 400 );
		v_gradient.addColorStop( 0, 'rgba(18,254,109,1)' );   
    	v_gradient.addColorStop( 0.36, 'rgba(20,176,80,1)' );
		v_gradient.addColorStop( 1, 'rgba(11,113,50,1)' );

		let v_data = {
			labels: [ 'Sun', 'Mon', 'Tue', 'Wed', 'Thu', 'Fri', 'Sat' ],
			datasets: [{
				label: 'Earnings (RM)',
				data: v_earnings,
				backgroundColor: v_gradient,
				borderColor: 'rgba(4, 147, 114, 1)',
				borderWidth: 1
			}]
		};
		
		let v_config = {
			type: 'bar',
			data: v_data,
			options: {
				legend:{
					display: false
				},
				scales: {
					xAxes:[{
						gridLines:{
							display: false
						}
					}],
					yAxes: [{
						ticks: {
							beginAtZero:true
						},
						display: false
					}]
				}	
			}
		}
	 
		let v_render_chart = new Chart( v_chart, v_config );
	}
	
	function display_earnings(){
		$( '#div_profile' ).addClass( 'd-none' );
		$( '#div_earnings' ).addClass( 'd-block' );
		let v_payment_month = document.getElementById( 'payment_month' ).value;
		let v_earnings_url = '<?php echo \E::get( 'obj_curr_module' )->build_action_path( 'profile','detail_ajax' ); ?>?date='
								+ v_payment_month;
		makeGETRequest( v_earnings_url , 'div_list' );
	}

	function check_password(){
		let password1 = document.getElementById( 'password1' );
		let password2 = document.getElementById( 'password2' );

		if( password1.value === password2.value ){
			password2.setCustomValidity( '' );
		}else{
			password2.setCustomValidity( 'Passwords do not match' );
		}
	}

	function onChangePayMonth(){
		let v_payment_month = document.getElementById( 'payment_month' ).value;
		let v_search_item = document.getElementById( 'input_search' ).value;

		let v_earnings_url = '<?php echo \E::get( 'obj_curr_module' )->build_action_path( 'profile','detail_ajax' ); ?>?date='
								+ v_payment_month + '&text=' + v_search_item;
		makeGETRequest( v_earnings_url , 'div_list' );
	}

	function search(){
		let v_payment_month = document.getElementById( 'payment_month' ).value;
		let v_search_item = document.getElementById( 'input_search' ).value;

		let v_earnings_url = '<?php echo \E::get( 'obj_curr_module' )->build_action_path( 'profile','detail_ajax' ); ?>?date='
								+ v_payment_month + '&text=' + v_search_item;
		
		makeGETRequest( v_earnings_url , 'div_list' );
	}

	var selected_bank = '';
	var bank_no = '';
	function load_detail(){
		if(selected_bank == ''){
			selected_bank = document.getElementById('affiliate_bank').value;
		}else{
			document.getElementById('affiliate_bank').value = selected_bank;
		}
		
		if(bank_no == ''){
			bank_no = document.getElementById('affiliate_bank_no').value;
		}else{
			document.getElementById('affiliate_bank_no').value = bank_no;
		}

		document.getElementById('password1').value = '';
		document.getElementById('password2').value = '';
	}
	
</script>