
<div id="div_profile" class="container" style="max-width: 800px !important">

	<label id="lbl_name" class="h4 font-weight-bold">
		<?php echo \E::get('obj_curr_module_lang')->get('PROFILE_WELCOME') . 
				\U::safe_display_string(isset($v_name) ? $v_name : ""); 
		?> !
	</label>
	<br/>
	<label class="h5 font-weight-bold">
		<?php echo \E::get('obj_curr_module_lang')->get('PROFILE_WEEKLY_EARNINGS'); ?>
	</label>


	<div>
		<div class="m-auto" style="max-width: 400px">
			<canvas id="earns_chart"></canvas>
		</div>
		<input 
			id="earnings" 
			value="<?php echo  \U::safe_display_string(isset($v_earnings) ? $v_earnings : "[0,0,0,0,0,0,0]");?>"
			hidden />
		<a 
			class="nav-link font-weight-bold" 
			href="javascript:display_earnings();">
			<?php echo \E::get('obj_curr_module_lang')->get('PROFILE_VIEW_DETAIL'); ?>
		</a>
	</div>
	
	<br/>


	<div class="d-flex flex-row mt-5">
		<div class="mr-5">
			<img 
				class="rounded-circle border border-danger" 
				alt="100x100" src= <?php echo \U::safe_display_string(isset($v_img) ? $v_img : ""); ?>
				width="100" height="100"
				style="border-width: 3px !important;"
				data-holder-rendered="true">
		</div>
		<br/>
		<div class="d-flex flex-column">
			<label class="mb-4 h4">
				<?php echo \U::safe_display_string(isset($v_full_name) ? $v_full_name : ""); ?>
			</label>
			<label class="mb-2 h4 text-secondary">
				<?php echo \U::safe_display_string(isset($v_affiliate_tier) ? $v_affiliate_tier : ""); ?>
			</label>
			<button 
				type="button" 
				class="text-secondary btn bg-transparent shadow-none text-left" 
				data-toggle="modal" 
				data-target="#modal_edit"
				onclick="javascript:load_detail();">
				Edit Profile 
				<i class="fa fa-chevron-right" aria-hidden="true"></i>
			</button>
		</div>
	</div>
	
	<div class="d-flex flex-row mt-5">
		<div class="d-flex flex-column mr-auto">
			<label class="h5 font-weight-bold">
				<?php echo \E::get('obj_curr_module_lang')->get('PROFILE_REFER_CODE'); ?>
			</label>
			<label id="lbl_refer_code" class="text-secondary" style="word-break: break-all;">
				<?php echo \U::safe_display_string(isset($v_refer_code) ? $v_refer_code : ""); ?>
			</label>
		</div>
		
		<div id="div_refer_code" class="d-flex flex-column justify-content-center">
			<i id="i_refer_code" class="fa fa-clone text-center" aria-hidden="true"></i>
			<button 
				type="button" 
				id="btn_refer_code" 
				class="btn bg-transparent shadow-none" 
				onclick="javascript:copy_refer_code();">
				Copy
			</button>
		</div>
	</div>
	
	<div class="d-flex flex-row mt-5">
		<div class="d-flex flex-column mr-auto">
			<label class="h5 font-weight-bold">
				<?php echo \E::get('obj_curr_module_lang')->get('PROFILE_REFER_LINK'); ?>
			</label>
			<label id="lbl_refer_link" class="text-secondary" style="word-break: break-all;">
				<?php echo \U::safe_display_string(isset($v_refer_link) ? $v_refer_link : ""); ?>
			</label>
		</div>
	
		<div id="div_refer_link" class="d-flex flex-column justify-content-center" >
			<i id="i_refer_link" class="fa fa-clone text-center" aria-hidden="true"></i>
			<button 
				type="button" 
				id="btn_refer_link" 
				class="btn bg-transparent shadow-none" 
				onclick="javascript:copy_refer_link();">
				Copy
			</button>
		</div>
	</div>
	<div class="text-center">
		<?php echo $v_qr_code ?>
	</div>
	
</div>


<div class="modal fade" id="modal_edit" data-backdrop="static" tabindex="-1" role="dialog">
	<div class="modal-dialog modal-dialog-centered" role="document">
		<div class="modal-content shadow-lg">
			<form id="frm_edit_profile" name="frm_edit_profile" autocomplete="off" method="post" enctype="multipart/form-data">
				<div class="modal-header align-items-end">
					<h3 class="modal-title">Edit Profile</h3>
						<button type="button" class="close" data-dismiss="modal" >
						<span class="h1">&times;</span>
					</button>
				</div>

				<div class="modal-body">
					<select class="form-control form-control-lg select_tag" id="affiliate_bank" name="affiliate_bank">
						<option disabled hidden selected value = "">Select Bank</option>
						<?php
							if ( $v_bank_list && is_array($v_bank_list) 
									&& !empty($v_bank_list) ){
								foreach($v_bank_list as $v_row => $v_value){
									if ( $v_row == $v_affiliate_bank ){
										echo '<option selected value="' . \U::safe_display_string($v_row) . '">';
									}else{
										echo '<option value="' . \U::safe_display_string($v_row) . '">';
									}
									
									echo \U::safe_display_string($v_value);
									echo '</option>'; 
								}
							}
						?>
					</select>

					<input 
						type="number" 
						class="form-control form-control-lg my-3 text compulsory" 
						name="affiliate_bank_no" id="affiliate_bank_no" 
						value="<?php echo \U::safe_display_string(isset($v_affiliate_bank_no) ? $v_affiliate_bank_no : "");?>"
						placeholder="Bank Account No."
						/>
					<label class="h5">Change Password</label>
					<div class="form-row">
						<div class="col">
							<input id="password1" name="password1"
									type="password" class="form-control form-control-lg"
								 	placeholder="Password"
									onChange="check_password()">
						</div>

						<div class="col">
							<input id="password2" name="password2"
								 	type="password" class="form-control form-control-lg"
								 	placeholder="Confirm Password"
									onChange="check_password()">
						</div>
					</div>
				</div>

				<div class="modal-footer border-0">
					<button id="btn_edit" class="btn btn-block btn-lg btn-success" type="button">Confirm changes</button>
				</div>
			</form>
		</div>
	</div>
</div>


<div id="div_earnings" class="container text-center d-none">
	<label class="h4 font-weight-bold">
		<?php echo \E::get('obj_curr_module_lang')->get('PROFILE_MONTHLY_EARNINGS'); ?>
	</label>
	<br/>
	
	<select class="form-control form-control-lg select_no_caret d-inline-block text-center mb-3"
			style="border-radius: 4.0rem; width: 32% !important"
			id="payment_month" 
			name="payment_month"
			onChange="onChangePayMonth()"
			required>
		<?php
			if ( $v_payment_month && is_array($v_payment_month) ){
				foreach($v_payment_month as $v_key=>$v_row){
					echo '<option value="' . \U::safe_display_string($v_row) . '">';
					echo \U::safe_display_string($v_row);
					echo '</option>';
				}
			}
		?>

	</select>
	<div class="form-group has-search w-50 m-auto">
		<span class="fa fa-search form-control-feedback"></span>
		<input type="text" class="form-control" id="input_search" placeholder="Search" onChange="search()">
	</div>

	<br/>
	<div id="div_list">
</div>


<?php
	if ( $v_error && is_array($v_error) && !empty($v_error) ){
		$v_error =  implode(" ",$v_error);
		echo "<script>Swal.fire({ icon: 'error', title: '$v_error'});</script>";
	}

	if ( isset($v_success) ){
		echo "<script>Swal.fire({ icon: 'success', title: '$v_success'});</script>";
	}
?>



